package com.ieng.rms.dto;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@NoArgsConstructor
@Data
public class ContractDTO implements Serializable {

    private Integer id;
    private String name;
    private String createdBy;
    private Date startDate;
    private Date endDate;
    private Boolean contractStatus;
    private String clientName;
    private Integer clientId;
    private String operationName;
    private Integer operationId;
    private String timeZone;
    private Boolean multiTenant;
    private String image;

    public ContractDTO(Integer id, String name){
        this.id=id;
        this.name=name;
    }

    public ContractDTO(Integer id, String name, Date startDate, Date endDate, Boolean contractStatus, String clientName, Integer clientId, Integer operationId, String operationName, String timeZone, Boolean multiTenant) {
        this.id = id;
        this.name = name;
        this.startDate = startDate;
        this.endDate = endDate;
        this.contractStatus=contractStatus;
        this.clientName=clientName;
        this.clientId=clientId;
        this.operationId=operationId;
        this.operationName=operationName;
        this.timeZone=timeZone;
        this.multiTenant=multiTenant;
        this.image=name;
    }
}
