package com.ieng.rms.models;

import com.google.gson.annotations.Expose;
import com.ieng.rms.util.AppPropertiesUtil;

import java.io.Serializable;
import java.util.Date;

public class PacketModel extends PacketModelSonicV2 implements Serializable {

    private static final long serialVersionUID = AppPropertiesUtil.getSerialVersionUID();


    private Date dateAndTimeStamp;
    private Integer packetSeqid;

    @Expose(serialize = false, deserialize = false)
    private Integer packetId;
    private String siteID;
    private String simNumber;
    private String packetType;
    private Integer fanFailDI1;
    private Integer doorOpenDI2;
    private Integer smokeFireDI3;
    private Integer dI4Spare;
    private Integer dI5Spare;
    private Integer dI6Spare;
    private Integer dI7Spare;
    private Integer dI8Spare;
    private Integer dI9Spare;
    private Integer dI10Spare;
    private Integer dI11Spare;
    private Integer dI12Spare;
    private Integer tamperSwitchforModem;
    private String fireAndSmokeDO1;
    private Integer loadOnDGDO2;
    private String dO3FanFail;
    private String dO4DOOROPEN;
    private float aI1Spare;
    private float aI2Spare;
    private float aI3Spare;
    private float aI4Spare;
    private float eBRPhaseN;
    private float eBYPhaseN;
    private float eBBPhaseN;
    private float eBRYPhaseVoltage;
    private float eBYBPhaseVoltage;
    private float eBBRPhaseVoltage;
    private float eBIR;
    private float eBIY;
    private float eBIB;
    private float eBInputFrequency;
    private float eBInputGridEnergy;
    private float dG1Energy;
    private float eBRPhasePower;
    private float eBYPhasePower;
    private float eBBPhasePower;
    private float gridRunHour;
    private float dG1RunHour;
    private Integer loadOnMains;
    private Integer loadOnDG12;
    private float tenant1Energy;
    private float tenant1Power;
    private float tenant1Current;
    private float tenant2Energy;
    private float tenant2Power;
    private float tenant2Current;
    private float tenant3Energy;
    private float tenant3Power;
    private float tenant3Current;
    private float tenant4Energy;
    private float tenant4Power;
    private float tenant4Current;
    private float tenant5Energy;
    private float tenant5Power;
    private float tenant5Current;
    private Integer batteryCurrent;
    private Integer dG12OnInManualMode;
    private float dG1BatteryVoltage;
    private float dG12Frequency;
    private float dG12RPhaseN;
    private float dG12YPhaseN;
    private float dG12BPhaseN;
    private float dG12RYPhaseVoltage;
    private float dG12YBPhaseVoltage;
    private float dG12BRPhaseVoltage;
    private float dG12Ir;
    private float dG12Iy;
    private float dG12Ib;
    private Integer dG12RPhasePower;
    private Integer dG12YPhasePower;
    private Integer dG12BPhasePower;
    private Integer dG12OnWithoutLoad;
    private Integer lowLubeOilPressure;
    private Integer dGHwtHct;
    private Integer dGEmergencyStop;
    private Integer dGOverLoad;
    private Integer dGLowFuelLevel;
    private Integer dGBatteryVoltageLow;
    private Integer dGFailToStart;
    private Integer dGFailToStop;
    private float systemDcVoltage;
    private float battery1CabinetTemperature;
    private float socBattery1;
    private float battery2CabinetTemperature;
    private float socBattery2;
    private Integer batteryOnDischarge;
    private Integer loadOnBattery;
    private float battery3CabinetTemperature;
    private float socBattery3;
    private float battery4CabinetTemperature;
    private float socBattery4;
    private float systemCabinetTemperature;
    private float outdoorEnvironmentTemperature;
    private Integer mainsFail;
    private Integer dCVoltageLow;
    private Integer loadBreakerTripped;
    private Integer batteryFuseFail;
    private Integer batterTempHigh;
    private float moduleOutputCurrent21; //private Integer dcHvDisconnectModule1;
    private float moduleOutputCurrent22; //private Integer highTempShutdownModule1;
    private float moduleOutputCurrent23; //private Integer dcHvDisconnectModule2;
    private float moduleOutputCurrent24; //private Integer highTempShutdownModule2;
    private float moduleOutputCurrent25; //private Integer dcHvDisconnectModule3;
    private float moduleOutputCurrent26;  //private Integer highTempShutdownModule3;
    private float moduleOutputCurrent27; //private Integer dcHvDisconnectModule4;
    private float moduleOutputCurrent28; //private Integer highTempShutdownModule4;
    private float moduleOutputCurrent29; //private Integer dcHvDisconnectModule5;
    private float moduleOutputCurrent30; //private Integer highTempShutdownModule5;
    private float moduleOutputCurrent31; //private Integer dcHvDisconnectModule6;
    private float moduleOutputCurrent32; //private Integer highTempShutdownModule6;
    private float moduleOutputCurrent33; //private Integer dcHvDisconnectModule7;
    private float moduleOutputCurrent34; //private Integer highTempShutdownModule7;
    private float moduleOutputCurrent35; //private Integer dcHvDisconnectModule8;
    private float moduleOutputCurrent36; //private Integer highTempShutdownModule8;
    private float moduleOutputCurrent37; //private Integer dcHvDisconnectModule9;
    private float moduleOutputCurrent38; //private Integer highTempShutdownModule9;
    private float moduleOutputCurrent39; //private Integer dcHvDisconnectModule10;
    private float moduleOutputCurrent40; //private Integer highTempShutdownModule10;
    private float moduleOutputCurrent41; //private Integer dcHvDisconnectModule11;
    private float moduleOutputCurrent42; //private Integer highTempShutdownModule11;
    private Integer moduleStatus31;      //private Integer dcHvDisconnectModule12;
    private Integer moduleStatus32;    //private Integer highTempShutdownModule12;
    private Integer moduleStatus33;    //private Integer dcHvDisconnectModule13;
    private Integer moduleStatus34;    //private Integer highTempShutdownModule13;
    private Integer moduleStatus35;    //private Integer dcHvDisconnectModule14;
    private Integer moduleStatus36;    //private Integer highTempShutdownModule14;
    private Integer moduleStatus37;    //private Integer dcHvDisconnectModule15;
    private Integer moduleStatus38;    //private Integer highTempShutdownModule15;
    private Integer moduleStatus39;    //private Integer dcHvDisconnectModule16;
    private Integer moduleStatus40;    //private Integer highTempShutdownModule16;
    private Integer moduleStatus41;    //private Integer dcHvDisconnectModule17;
    private Integer moduleStatus42;    //private Integer highTempShutdownModule17;
    private String moduleSerialNumber53;   //private Integer dcHvDisconnectModule18;
    private String moduleSerialNumber54;   //private Integer highTempShutdownModule18;
    private float moduleInputVoltage13;    //private Integer dcHvDisconnectModule19;
    private float moduleInputVoltage14;    //private Integer highTempShutdownModule19;
    private float moduleInputVoltage15;    //private Integer dcHvDisconnectModule20;
    private float moduleInputVoltage16;    //private Integer highTempShutdownModule20;
    private Integer blvdTrip;
    private Integer lvdDisconnect;
    private Integer battery1Capacity;
    private Integer battery2Capacity;
    private Integer battery3Capacity;
    private Integer battery4Capacity;
    private Integer aCSurgeProtectionDeviceFail;
    private Integer dCSurgeProtectionDeviceFail;
    private Integer dryContact3spare;
    private float pvOutputVoltage;
    private float pv1InputVoltage;
    private float pv1OutputCurrent;
    private float pv2InputVoltage;
    private float pv2OutputCurrent;
    private float pv3InputVoltage;
    private float pv3OutputCurrent;
    private float pv4InputVoltage;
    private float pv4OutputCurrent;
    private float pv5InputVoltage;
    private float pv5OutputCurrent;
    private float pv6InputVoltage;
    private float pv6OutputCurrent;
    private float pv7InputVoltage;
    private float pv7OutputCurrent;
    private float pv8InputVoltage;
    private float pv8OutputCurrent;
    private float pv9InputVoltage;
    private float pv9OutputCurrent;
    private float pv10InputVoltage;
    private float pv10OutputCurrent;
    private float pv11InputVoltage;
    private float pv11OutputCurrent;
    private float pv12InputVoltage;
    private float pv12OutputCurrent;
    private Integer pv1ModuleStatus;
    private Integer pv2ModuleStatus;
    private Integer pv3ModuleStatus;
    private Integer pv4ModuleStatus;
    private Integer pv5ModuleStatus;
    private Integer pv6ModuleStatus;
    private Integer pv7ModuleStatus;
    private Integer pv8ModuleStatus;
    private Integer pv9ModuleStatus;
    private Integer pv10ModuleStatus;
    private Integer pv11ModuleStatus;
    private Integer pv12ModuleStatus;
    private float pvTotalOutputCurrent;
    private float pvEnergy;
    private float pvRunHours;
    private String liBattVoltage1;
    private String liBattCurrentCharge1;
    private String liBattCurrentDischarge1;
    private String liSoh1;
    private String liSoc1;
    private String liBattStatus1;
    private String liDischargeCycleCount1;
    private String liBattVoltage2;
    private String liBattCurrentCharge2;
    private String liBattCurrentDischarge2;
    private String liSoh2;
    private String liSoc2;
    private String liBattStatus2;
    private String liDischargeCycleCount2;
    private String liBattVoltage3;
    private String liBattCurrentCharge3;
    private String liBattCurrentDischarge3;
    private String liSoh3;
    private String liSoc3;
    private String liBattStatus3;
    private String liDischargeCycleCount3;
    private String liBattVoltage4;
    private String liBattCurrentCharge4;
    private String liBattCurrentDischarge4;
    private String liSoh4;
    private String liSoc4;
    private String liBattStatus4;
    private String liDischargeCycleCount4;
    private String liBattVoltage5;
    private String liBattCurrentCharge5;
    private String liBattCurrentDischarge5;
    private String liSoh5;
    private String liSoc5;
    private String liBattStatus5;
    private String liDischargeCycleCount5;
    private String liBattVoltage6;
    private String liBattCurrentCharge6;
    private String liBattCurrentDischarge6;
    private String liSoh6;
    private String liSoc6;
    private String liBattStatus6;
    private String liDischargeCycleCount6;
    private String liBattVoltage7;
    private String liBattCurrentCharge7;
    private String liBattCurrentDischarge7;
    private String liSoh7;
    private String liSoc7;
    private String liBattStatus7;
    private String liDischargeCycleCount7;
    private String liBattVoltage8;
    private String liBattCurrentCharge8;
    private String liBattCurrentDischarge8;
    private String liSoh8;
    private String liSoc8;
    private String liBattStatus8;
    private String liDischargeCycleCount8;
    private String liBattVoltage9;
    private String liBattCurrentCharge9;
    private String liBattCurrentDischarge9;
    private String liSoh9;
    private String liSoc9;
    private String liBattStatus9;
    private String liDischargeCycleCount9;
    private String liBattVoltage10;
    private String liBattCurrentCharge10;
    private String liBattCurrentDischarge10;
    private String liSoh10;
    private String liSoc10;
    private String liBattStatus10;
    private String liDischargeCycleCount10;
    private String liBattVoltage11;
    private String liBattCurrentCharge11;
    private String liBattCurrentDischarge11;
    private String liSoh11;
    private String liSoc11;
    private String liBattStatus11;
    private String liDischargeCycleCount11;
    private String liBattVoltage12;
    private String liBattCurrentCharge12;
    private String liBattCurrentDischarge12;
    private String liSoh12;
    private String liSoc12;
    private String liBattStatus12;
    private String liDischargeCycleCount12;
    private String liBattVoltage13;
    private String liBattCurrentCharge13;
    private String liBattCurrentDischarge13;
    private String liSoh13;
    private String liSoc13;
    private String liBattStatus13;
    private String liDischargeCycleCount13;
    private String liBattVoltage14;
    private String liBattCurrentCharge14;
    private String liBattCurrentDischarge14;
    private String liSoh14;
    private String liSoc14;
    private String liBattStatus14;
    private String liDischargeCycleCount14;
    private String liBattVoltage15;
    private String liBattCurrentCharge15;
    private String liBattCurrentDischarge15;
    private String liSoh15;
    private String liSoc15;
    private String liBattStatus15;
    private String liDischargeCycleCount15;
    private String liBattVoltage16;
    private String liBattCurrentCharge16;
    private String liBattCurrentDischarge16;
    private String liSoh16;
    private String liSoc16;
    private String liBattStatus16;
    private String liDischargeCycleCount16;
    private Integer dcAircon1HighRoomTemp;
    private Integer dcAircon1CompressorFaultFanfault;
    private Integer dcAircon2HighRoomTemp;
    private Integer dcAircon2CompressorFaultFanfault;
    private Integer fuelSensorFuelinliters;
    private Integer fuelSensorFuelinMm;
    private float fuelSensorFuelinPercentage;
    private float reserved11; // Reserved11DG2Energy changed to reserved 11
    private float reserved10; // Reserved10DG2RunHour changed to reserved10
    private float reserved9; // Reserved9DG2BatteryVoltage changed to reserved9
    private Integer reserved8; //Reserved8DG1ON changed to reserved8
    private Integer reserved7; //Reserved7DG2ON changed to reserved7
    private float reserved6;
    private float reserved5;
    private float reserved4;
    private Integer reserved3PvHybridMode;
    private Integer reserved2LoadOnPv;
    private Integer rectifierControllerCommFault;
    private String liCommFault1;
    private String liCommFault2;
    private String liCommFault3;
    private String liCommFault4;
    private String liCommFault5;
    private String liCommFault6;
    private String liCommFault7;
    private String liCommFault8;
    private String liCommFault9;
    private String liCommFault10;
    private String liCommFault11;
    private String liCommFault12;
    private String liCommFault13;
    private String liCommFault14;
    private String liCommFault15;
    private String liCommFault16;
    private Integer aCEMCommFault;
    private Integer dCEMCOMMFault;
    private Integer gCUCommFault;
    private Integer solarEMCOMMfault;
    private Integer dCAirCon1CommFault;
    private Integer dCAirCon2CommFault;
    private Integer fuelSensorCommFault;
    private String dGCapacityinkVA;
    private float totalLoadCurrent;
    private Integer singleRectifierfail;
    private Integer multipleRectifierFail;
    private Integer dGCommonFault;

    public Date getDateAndTimeStamp() {
        return dateAndTimeStamp;
    }

    public void setDateAndTimeStamp(Date dateAndTimeStamp) {
        this.dateAndTimeStamp = dateAndTimeStamp;
    }

    public Integer getPacketSeqid() {
        return packetSeqid;
    }

    public void setPacketSeqid(Integer packetSeqid) {
        this.packetSeqid = packetSeqid;
    }

    public Integer getPacketId() {
        return packetId;
    }

    public void setPacketId(Integer packetId) {
        this.packetId = packetId;
    }

    public String getSiteID() {
        return siteID;
    }

    public void setSiteID(String siteID) {
        this.siteID = siteID;
    }

    public String getSimNumber() {
        return simNumber;
    }

    public void setSimNumber(String simNumber) {
        this.simNumber = simNumber;
    }

    public String getPacketType() {
        return packetType;
    }

    public void setPacketType(String packetType) {
        this.packetType = packetType;
    }

    public Integer isFanFailDI1() {
        return fanFailDI1;
    }

    public Integer getFanFailDI1() {
        return fanFailDI1;
    }

    public void setFanFailDI1(Integer fanFailDI1) {
        this.fanFailDI1 = fanFailDI1;
    }

    public Integer isDoorOpenDI2() {
        return doorOpenDI2;
    }

    public Integer getDoorOpenDI2() {
        return doorOpenDI2;
    }

    public void setDoorOpenDI2(Integer doorOpenDI2) {
        this.doorOpenDI2 = doorOpenDI2;
    }

    public Integer isSmokeFireDI3() {
        return smokeFireDI3;
    }

    public Integer getSmokeFireDI3() {
        return smokeFireDI3;
    }

    public void setSmokeFireDI3(Integer smokeFireDI3) {
        this.smokeFireDI3 = smokeFireDI3;
    }

    public Integer isdI4Spare() {
        return dI4Spare;
    }

    public Integer getdI4Spare() {
        return dI4Spare;
    }

    public void setdI4Spare(Integer dI4Spare) {
        this.dI4Spare = dI4Spare;
    }

    public Integer isdI5Spare() {
        return dI5Spare;
    }

    public Integer getdI5Spare() {
        return dI5Spare;
    }

    public void setdI5Spare(Integer dI5Spare) {
        this.dI5Spare = dI5Spare;
    }

    public Integer isdI6Spare() {
        return dI6Spare;
    }

    public Integer getdI6Spare() {
        return dI6Spare;
    }

    public void setdI6Spare(Integer dI6Spare) {
        this.dI6Spare = dI6Spare;
    }

    public Integer isdI7Spare() {
        return dI7Spare;
    }

    public Integer getdI7Spare() {
        return dI7Spare;
    }

    public void setdI7Spare(Integer dI7Spare) {
        this.dI7Spare = dI7Spare;
    }

    public Integer isdI8Spare() {
        return dI8Spare;
    }

    public Integer getdI8Spare() {
        return dI8Spare;
    }

    public void setdI8Spare(Integer dI8Spare) {
        this.dI8Spare = dI8Spare;
    }

    public Integer isdI9Spare() {
        return dI9Spare;
    }

    public Integer getdI9Spare() {
        return dI9Spare;
    }

    public void setdI9Spare(Integer dI9Spare) {
        this.dI9Spare = dI9Spare;
    }

    public Integer isdI10Spare() {
        return dI10Spare;
    }

    public Integer getdI10Spare() {
        return dI10Spare;
    }

    public void setdI10Spare(Integer dI10Spare) {
        this.dI10Spare = dI10Spare;
    }

    public Integer isdI11Spare() {
        return dI11Spare;
    }

    public Integer getdI11Spare() {
        return dI11Spare;
    }

    public void setdI11Spare(Integer dI11Spare) {
        this.dI11Spare = dI11Spare;
    }

    public Integer isdI12Spare() {
        return dI12Spare;
    }

    public Integer getdI12Spare() {
        return dI12Spare;
    }

    public void setdI12Spare(Integer dI12Spare) {
        this.dI12Spare = dI12Spare;
    }

    public Integer isTamperSwitchforModem() {
        return tamperSwitchforModem;
    }

    public Integer getTamperSwitchforModem() {
        return tamperSwitchforModem;
    }

    public void setTamperSwitchforModem(Integer tamperSwitchforModem) {
        this.tamperSwitchforModem = tamperSwitchforModem;
    }

    public String getFireAndSmokeDO1() {
        return fireAndSmokeDO1;
    }

    public void setFireAndSmokeDO1(String fireAndSmokeDO1) {
        this.fireAndSmokeDO1 = fireAndSmokeDO1;
    }

    public Integer isLoadOnDGDO2() {
        return loadOnDGDO2;
    }

    public Integer getLoadOnDGDO2() {
        return loadOnDGDO2;
    }

    public void setLoadOnDGDO2(Integer loadOnDGDO2) {
        this.loadOnDGDO2 = loadOnDGDO2;
    }

    public String getdO3FanFail() {
        return dO3FanFail;
    }

    public void setdO3FanFail(String dO3FanFail) {
        this.dO3FanFail = dO3FanFail;
    }

    public String getdO4DOOROPEN() {
        return dO4DOOROPEN;
    }

    public void setdO4DOOROPEN(String dO4DOOROPEN) {
        this.dO4DOOROPEN = dO4DOOROPEN;
    }

    public float getaI1Spare() {
        return aI1Spare;
    }

    public void setaI1Spare(float aI1Spare) {
        this.aI1Spare = aI1Spare;
    }

    public float getaI2Spare() {
        return aI2Spare;
    }

    public void setaI2Spare(float aI2Spare) {
        this.aI2Spare = aI2Spare;
    }

    public float getaI3Spare() {
        return aI3Spare;
    }

    public void setaI3Spare(float aI3Spare) {
        this.aI3Spare = aI3Spare;
    }

    public float getaI4Spare() {
        return aI4Spare;
    }

    public void setaI4Spare(float aI4Spare) {
        this.aI4Spare = aI4Spare;
    }

    public float geteBRPhaseN() {
        return eBRPhaseN;
    }

    public void seteBRPhaseN(float eBRPhaseN) {
        this.eBRPhaseN = eBRPhaseN;
    }

    public float geteBYPhaseN() {
        return eBYPhaseN;
    }

    public void seteBYPhaseN(float eBYPhaseN) {
        this.eBYPhaseN = eBYPhaseN;
    }

    public float geteBBPhaseN() {
        return eBBPhaseN;
    }

    public void seteBBPhaseN(float eBBPhaseN) {
        this.eBBPhaseN = eBBPhaseN;
    }

    public float geteBRYPhaseVoltage() {
        return eBRYPhaseVoltage;
    }

    public void seteBRYPhaseVoltage(float eBRYPhaseVoltage) {
        this.eBRYPhaseVoltage = eBRYPhaseVoltage;
    }

    public float geteBYBPhaseVoltage() {
        return eBYBPhaseVoltage;
    }

    public void seteBYBPhaseVoltage(float eBYBPhaseVoltage) {
        this.eBYBPhaseVoltage = eBYBPhaseVoltage;
    }

    public float geteBBRPhaseVoltage() {
        return eBBRPhaseVoltage;
    }

    public void seteBBRPhaseVoltage(float eBBRPhaseVoltage) {
        this.eBBRPhaseVoltage = eBBRPhaseVoltage;
    }

    public float geteBIR() {
        return eBIR;
    }

    public void seteBIR(float eBIR) {
        this.eBIR = eBIR;
    }

    public float geteBIY() {
        return eBIY;
    }

    public void seteBIY(float eBIY) {
        this.eBIY = eBIY;
    }

    public float geteBIB() {
        return eBIB;
    }

    public void seteBIB(float eBIB) {
        this.eBIB = eBIB;
    }

    public float geteBInputFrequency() {
        return eBInputFrequency;
    }

    public void seteBInputFrequency(float eBInputFrequency) {
        this.eBInputFrequency = eBInputFrequency;
    }

    public float geteBInputGridEnergy() {
        return eBInputGridEnergy;
    }

    public void seteBInputGridEnergy(float eBInputGridEnergy) {
        this.eBInputGridEnergy = eBInputGridEnergy;
    }

    public float getdG1Energy() {
        return dG1Energy;
    }

    public void setdG1Energy(float dG1Energy) {
        this.dG1Energy = dG1Energy;
    }

    public float geteBRPhasePower() {
        return eBRPhasePower;
    }

    public void seteBRPhasePower(float eBRPhasePower) {
        this.eBRPhasePower = eBRPhasePower;
    }

    public float geteBYPhasePower() {
        return eBYPhasePower;
    }

    public void seteBYPhasePower(float eBYPhasePower) {
        this.eBYPhasePower = eBYPhasePower;
    }

    public float geteBBPhasePower() {
        return eBBPhasePower;
    }

    public void seteBBPhasePower(float eBBPhasePower) {
        this.eBBPhasePower = eBBPhasePower;
    }

    public float getGridRunHour() {
        return gridRunHour;
    }

    public void setGridRunHour(float gridRunHour) {
        this.gridRunHour = gridRunHour;
    }

    public float getdG1RunHour() {
        return dG1RunHour;
    }

    public void setdG1RunHour(float dG1RunHour) {
        this.dG1RunHour = dG1RunHour;
    }

    public Integer isLoadOnMains() {
        return loadOnMains;
    }

    public Integer getLoadOnMains() {
        return loadOnMains;
    }

    public void setLoadOnMains(Integer loadOnMains) {
        this.loadOnMains = loadOnMains;
    }

    public Integer isLoadOnDG12() {
        return loadOnDG12;
    }

    public Integer getLoadOnDG12() {
        return loadOnDG12;
    }

    public void setLoadOnDG12(Integer loadOnDG12) {
        this.loadOnDG12 = loadOnDG12;
    }

    public float getTenant1Energy() {
        return tenant1Energy;
    }

    public void setTenant1Energy(float tenant1Energy) {
        this.tenant1Energy = tenant1Energy;
    }

    public float getTenant1Power() {
        return tenant1Power;
    }

    public void setTenant1Power(float tenant1Power) {
        this.tenant1Power = tenant1Power;
    }

    public float getTenant1Current() {
        return tenant1Current;
    }

    public void setTenant1Current(float tenant1Current) {
        this.tenant1Current = tenant1Current;
    }

    public float getTenant2Energy() {
        return tenant2Energy;
    }

    public void setTenant2Energy(float tenant2Energy) {
        this.tenant2Energy = tenant2Energy;
    }

    public float getTenant2Power() {
        return tenant2Power;
    }

    public void setTenant2Power(float tenant2Power) {
        this.tenant2Power = tenant2Power;
    }

    public float getTenant2Current() {
        return tenant2Current;
    }

    public void setTenant2Current(float tenant2Current) {
        this.tenant2Current = tenant2Current;
    }

    public float getTenant3Energy() {
        return tenant3Energy;
    }

    public void setTenant3Energy(float tenant3Energy) {
        this.tenant3Energy = tenant3Energy;
    }

    public float getTenant3Power() {
        return tenant3Power;
    }

    public void setTenant3Power(float tenant3Power) {
        this.tenant3Power = tenant3Power;
    }

    public float getTenant3Current() {
        return tenant3Current;
    }

    public void setTenant3Current(float tenant3Current) {
        this.tenant3Current = tenant3Current;
    }

    public float getTenant4Energy() {
        return tenant4Energy;
    }

    public void setTenant4Energy(float tenant4Energy) {
        this.tenant4Energy = tenant4Energy;
    }

    public float getTenant4Power() {
        return tenant4Power;
    }

    public void setTenant4Power(float tenant4Power) {
        this.tenant4Power = tenant4Power;
    }

    public float getTenant4Current() {
        return tenant4Current;
    }

    public void setTenant4Current(float tenant4Current) {
        this.tenant4Current = tenant4Current;
    }

    public float getTenant5Energy() {
        return tenant5Energy;
    }

    public void setTenant5Energy(float tenant5Energy) {
        this.tenant5Energy = tenant5Energy;
    }

    public float getTenant5Power() {
        return tenant5Power;
    }

    public void setTenant5Power(float tenant5Power) {
        this.tenant5Power = tenant5Power;
    }

    public float getTenant5Current() {
        return tenant5Current;
    }

    public void setTenant5Current(float tenant5Current) {
        this.tenant5Current = tenant5Current;
    }

    public Integer getBatteryCurrent() {
        return batteryCurrent;
    }

    public void setBatteryCurrent(Integer batteryCurrent) {
        this.batteryCurrent = batteryCurrent;
    }

    public Integer isdG12OnInManualMode() {
        return dG12OnInManualMode;
    }

    public Integer getdG12OnInManualMode() {
        return dG12OnInManualMode;
    }

    public void setdG12OnInManualMode(Integer dG12OnInManualMode) {
        this.dG12OnInManualMode = dG12OnInManualMode;
    }

    public float getdG1BatteryVoltage() {
        return dG1BatteryVoltage;
    }

    public void setdG1BatteryVoltage(float dG1BatteryVoltage) {
        this.dG1BatteryVoltage = dG1BatteryVoltage;
    }

    public float getdG12Frequency() {
        return dG12Frequency;
    }

    public void setdG12Frequency(float dG12Frequency) {
        this.dG12Frequency = dG12Frequency;
    }

    public float getdG12RPhaseN() {
        return dG12RPhaseN;
    }

    public void setdG12RPhaseN(float dG12RPhaseN) {
        this.dG12RPhaseN = dG12RPhaseN;
    }

    public float getdG12YPhaseN() {
        return dG12YPhaseN;
    }

    public void setdG12YPhaseN(float dG12YPhaseN) {
        this.dG12YPhaseN = dG12YPhaseN;
    }

    public float getdG12BPhaseN() {
        return dG12BPhaseN;
    }

    public void setdG12BPhaseN(float dG12BPhaseN) {
        this.dG12BPhaseN = dG12BPhaseN;
    }

    public float getdG12RYPhaseVoltage() {
        return dG12RYPhaseVoltage;
    }

    public void setdG12RYPhaseVoltage(float dG12RYPhaseVoltage) {
        this.dG12RYPhaseVoltage = dG12RYPhaseVoltage;
    }

    public float getdG12YBPhaseVoltage() {
        return dG12YBPhaseVoltage;
    }

    public void setdG12YBPhaseVoltage(float dG12YBPhaseVoltage) {
        this.dG12YBPhaseVoltage = dG12YBPhaseVoltage;
    }

    public float getdG12BRPhaseVoltage() {
        return dG12BRPhaseVoltage;
    }

    public void setdG12BRPhaseVoltage(float dG12BRPhaseVoltage) {
        this.dG12BRPhaseVoltage = dG12BRPhaseVoltage;
    }

    public float getdG12Ir() {
        return dG12Ir;
    }

    public void setdG12Ir(float dG12Ir) {
        this.dG12Ir = dG12Ir;
    }

    public float getdG12Iy() {
        return dG12Iy;
    }

    public void setdG12Iy(float dG12Iy) {
        this.dG12Iy = dG12Iy;
    }

    public float getdG12Ib() {
        return dG12Ib;
    }

    public void setdG12Ib(float dG12Ib) {
        this.dG12Ib = dG12Ib;
    }

    public Integer getdG12RPhasePower() {
        return dG12RPhasePower;
    }

    public void setdG12RPhasePower(Integer dG12RPhasePower) {
        this.dG12RPhasePower = dG12RPhasePower;
    }

    public Integer getdG12YPhasePower() {
        return dG12YPhasePower;
    }

    public void setdG12YPhasePower(Integer dG12YPhasePower) {
        this.dG12YPhasePower = dG12YPhasePower;
    }

    public Integer getdG12BPhasePower() {
        return dG12BPhasePower;
    }

    public void setdG12BPhasePower(Integer dG12BPhasePower) {
        this.dG12BPhasePower = dG12BPhasePower;
    }

    public Integer isdG12OnWithoutLoad() {
        return dG12OnWithoutLoad;
    }

    public Integer getdG12OnWithoutLoad() {
        return dG12OnWithoutLoad;
    }

    public void setdG12OnWithoutLoad(Integer dG12OnWithoutLoad) {
        this.dG12OnWithoutLoad = dG12OnWithoutLoad;
    }

    public Integer isLowLubeOilPressure() {
        return lowLubeOilPressure;
    }

    public Integer getLowLubeOilPressure() {
        return lowLubeOilPressure;
    }

    public void setLowLubeOilPressure(Integer lowLubeOilPressure) {
        this.lowLubeOilPressure = lowLubeOilPressure;
    }

    public Integer isdGHwtHct() {
        return dGHwtHct;
    }

    public Integer getdGHwtHct() {
        return dGHwtHct;
    }

    public void setdGHwtHct(Integer dGHwtHct) {
        this.dGHwtHct = dGHwtHct;
    }

    public Integer isdGEmergencyStop() {
        return dGEmergencyStop;
    }

    public Integer getdGEmergencyStop() {
        return dGEmergencyStop;
    }

    public void setdGEmergencyStop(Integer dGEmergencyStop) {
        this.dGEmergencyStop = dGEmergencyStop;
    }

    public Integer isdGOverLoad() {
        return dGOverLoad;
    }

    public Integer getdGOverLoad() {
        return dGOverLoad;
    }

    public void setdGOverLoad(Integer dGOverLoad) {
        this.dGOverLoad = dGOverLoad;
    }

    public Integer isdGLowFuelLevel() {
        return dGLowFuelLevel;
    }

    public Integer getdGLowFuelLevel() {
        return dGLowFuelLevel;
    }

    public void setdGLowFuelLevel(Integer dGLowFuelLevel) {
        this.dGLowFuelLevel = dGLowFuelLevel;
    }

    public Integer isdGBatteryVoltageLow() {
        return dGBatteryVoltageLow;
    }

    public Integer getdGBatteryVoltageLow() {
        return dGBatteryVoltageLow;
    }

    public void setdGBatteryVoltageLow(Integer dGBatteryVoltageLow) {
        this.dGBatteryVoltageLow = dGBatteryVoltageLow;
    }

    public Integer isdGFailToStart() {
        return dGFailToStart;
    }

    public Integer getdGFailToStart() {
        return dGFailToStart;
    }

    public void setdGFailToStart(Integer dGFailToStart) {
        this.dGFailToStart = dGFailToStart;
    }

    public Integer isdGFailToStop() {
        return dGFailToStop;
    }

    public Integer getdGFailToStop() {
        return dGFailToStop;
    }

    public void setdGFailToStop(Integer dGFailToStop) {
        this.dGFailToStop = dGFailToStop;
    }

    public float getSystemDcVoltage() {
        return systemDcVoltage;
    }

    public void setSystemDcVoltage(float systemDcVoltage) {
        this.systemDcVoltage = systemDcVoltage;
    }

    public float getBattery1CabinetTemperature() {
        return battery1CabinetTemperature;
    }

    public void setBattery1CabinetTemperature(float battery1CabinetTemperature) {
        this.battery1CabinetTemperature = battery1CabinetTemperature;
    }

    public float getSocBattery1() {
        return socBattery1;
    }

    public void setSocBattery1(float socBattery1) {
        this.socBattery1 = socBattery1;
    }

    public float getBattery2CabinetTemperature() {
        return battery2CabinetTemperature;
    }

    public void setBattery2CabinetTemperature(float battery2CabinetTemperature) {
        this.battery2CabinetTemperature = battery2CabinetTemperature;
    }

    public float getSocBattery2() {
        return socBattery2;
    }

    public void setSocBattery2(float socBattery2) {
        this.socBattery2 = socBattery2;
    }

    public Integer isBatteryOnDischarge() {
        return batteryOnDischarge;
    }

    public Integer getBatteryOnDischarge() {
        return batteryOnDischarge;
    }

    public void setBatteryOnDischarge(Integer batteryOnDischarge) {
        this.batteryOnDischarge = batteryOnDischarge;
    }

    public Integer isLoadOnBattery() {
        return loadOnBattery;
    }

    public Integer getLoadOnBattery() {
        return loadOnBattery;
    }

    public void setLoadOnBattery(Integer loadOnBattery) {
        this.loadOnBattery = loadOnBattery;
    }

    public float getBattery3CabinetTemperature() {
        return battery3CabinetTemperature;
    }

    public void setBattery3CabinetTemperature(float battery3CabinetTemperature) {
        this.battery3CabinetTemperature = battery3CabinetTemperature;
    }

    public float getSocBattery3() {
        return socBattery3;
    }

    public void setSocBattery3(float socBattery3) {
        this.socBattery3 = socBattery3;
    }

    public float getBattery4CabinetTemperature() {
        return battery4CabinetTemperature;
    }

    public void setBattery4CabinetTemperature(float battery4CabinetTemperature) {
        this.battery4CabinetTemperature = battery4CabinetTemperature;
    }

    public float getSocBattery4() {
        return socBattery4;
    }

    public void setSocBattery4(float socBattery4) {
        this.socBattery4 = socBattery4;
    }

    public float getSystemCabinetTemperature() {
        return systemCabinetTemperature;
    }

    public void setSystemCabinetTemperature(float systemCabinetTemperature) {
        this.systemCabinetTemperature = systemCabinetTemperature;
    }

    public float getOutdoorEnvironmentTemperature() {
        return outdoorEnvironmentTemperature;
    }

    public void setOutdoorEnvironmentTemperature(float outdoorEnvironmentTemperature) {
        this.outdoorEnvironmentTemperature = outdoorEnvironmentTemperature;
    }

    public Integer isMainsFail() {
        return mainsFail;
    }

    public Integer getMainsFail() {
        return mainsFail;
    }

    public void setMainsFail(Integer mainsFail) {
        this.mainsFail = mainsFail;
    }

    public Integer isdCVoltageLow() {
        return dCVoltageLow;
    }

    public Integer getdCVoltageLow() {
        return dCVoltageLow;
    }

    public void setdCVoltageLow(Integer dCVoltageLow) {
        this.dCVoltageLow = dCVoltageLow;
    }

    public Integer isLoadBreakerTripped() {
        return loadBreakerTripped;
    }

    public Integer getLoadBreakerTripped() {
        return loadBreakerTripped;
    }

    public void setLoadBreakerTripped(Integer loadBreakerTripped) {
        this.loadBreakerTripped = loadBreakerTripped;
    }

    public Integer isBatteryFuseFail() {
        return batteryFuseFail;
    }

    public Integer getBatteryFuseFail() {
        return batteryFuseFail;
    }

    public void setBatteryFuseFail(Integer batteryFuseFail) {
        this.batteryFuseFail = batteryFuseFail;
    }

    public Integer isBatterTempHigh() {
        return batterTempHigh;
    }

    public Integer getBatterTempHigh() {
        return batterTempHigh;
    }

    public void setBatterTempHigh(Integer batterTempHigh) {
        this.batterTempHigh = batterTempHigh;
    }

  /*  public Integer isDcHvDisconnectModule1() {
        return dcHvDisconnectModule1;
    }
    public Integer getDcHvDisconnectModule1() { return dcHvDisconnectModule1; }

    public void setDcHvDisconnectModule1(Integer dcHvDisconnectModule1) {
        this.dcHvDisconnectModule1 = dcHvDisconnectModule1;
    }

    public Integer isHighTempShutdownModule1() {
        return highTempShutdownModule1;
    }
    public Integer getHighTempShutdownModule1() { return highTempShutdownModule1; }

    public void setHighTempShutdownModule1(Integer highTempShutdownModule1) {
        this.highTempShutdownModule1 = highTempShutdownModule1;
    }

    public Integer isDcHvDisconnectModule2() {
        return dcHvDisconnectModule2;
    }
    public Integer getDcHvDisconnectModule2() { return dcHvDisconnectModule2; }

    public void setDcHvDisconnectModule2(Integer dcHvDisconnectModule2) {
        this.dcHvDisconnectModule2 = dcHvDisconnectModule2;
    }

    public Integer isHighTempShutdownModule2() {
        return highTempShutdownM odule2;
    }
    public Integer getHighTempShutdownModule2() { return highTempShutdownModule2; }

    public void setHighTempShutdownModule2(Integer highTempShutdownModule2) {
        this.highTempShutdownModule2 = highTempShutdownModule2;
    }

    public Integer isDcHvDisconnectModule3() {
        return dcHvDisconnectModule3;
    }
    public Integer getDcHvDisconnectModule3() { return dcHvDisconnectModule3; }

    public void setDcHvDisconnectModule3(Integer dcHvDisconnectModule3) {
        this.dcHvDisconnectModule3 = dcHvDisconnectModule3;
    }

    public Integer isHighTempShutdownModule3() {
        return highTempShutdownModule3;
    }
    public Integer getHighTempShutdownModule3() { return highTempShutdownModule3; }

    public void setHighTempShutdownModule3(Integer highTempShutdownModule3) {
        this.highTempShutdownModule3 = highTempShutdownModule3;
    }

    public Integer isDcHvDisconnectModule4() {
        return dcHvDisconnectModule4;
    }
    public Integer getDcHvDisconnectModule4() { return dcHvDisconnectModule4; }

    public void setDcHvDisconnectModule4(Integer dcHvDisconnectModule4) {
        this.dcHvDisconnectModule4 = dcHvDisconnectModule4;
    }

    public Integer isHighTempShutdownModule4() {
        return highTempShutdownModule4;
    }
    public Integer getHighTempShutdownModule4() { return highTempShutdownModule4; }

    public void setHighTempShutdownModule4(Integer highTempShutdownModule4) {
        this.highTempShutdownModule4 = highTempShutdownModule4;
    }

    public Integer isDcHvDisconnectModule5() {
        return dcHvDisconnectModule5;
    }
    public Integer getDcHvDisconnectModule5() { return dcHvDisconnectModule5; }

    public void setDcHvDisconnectModule5(Integer dcHvDisconnectModule5) {
        this.dcHvDisconnectModule5 = dcHvDisconnectModule5;
    }

    public Integer isHighTempShutdownModule5() {
        return highTempShutdownModule5;
    }
    public Integer getHighTempShutdownModule5() { return highTempShutdownModule5; }

    public void setHighTempShutdownModule5(Integer highTempShutdownModule5) {
        this.highTempShutdownModule5 = highTempShutdownModule5;
    }

    public Integer isDcHvDisconnectModule6() {
        return dcHvDisconnectModule6;
    }
    public Integer getDcHvDisconnectModule6() { return dcHvDisconnectModule6; }

    public void setDcHvDisconnectModule6(Integer dcHvDisconnectModule6) {
        this.dcHvDisconnectModule6 = dcHvDisconnectModule6;
    }

    public Integer isHighTempShutdownModule6() {
        return highTempShutdownModule6;
    }
    public Integer getHighTempShutdownModule6() {return highTempShutdownModule6; }

    public void setHighTempShutdownModule6(Integer highTempShutdownModule6) {
        this.highTempShutdownModule6 = highTempShutdownModule6;
    }

    public Integer isDcHvDisconnectModule7() {
        return dcHvDisconnectModule7;
    }
    public Integer getDcHvDisconnectModule7() { return dcHvDisconnectModule7; }

    public void setDcHvDisconnectModule7(Integer dcHvDisconnectModule7) {
        this.dcHvDisconnectModule7 = dcHvDisconnectModule7;
    }

    public Integer isHighTempShutdownModule7() {
        return highTempShutdownModule7;
    }
    public Integer getHighTempShutdownModule7() { return highTempShutdownModule7; }

    public void setHighTempShutdownModule7(Integer highTempShutdownModule7) {
        this.highTempShutdownModule7 = highTempShutdownModule7;
    }

    public Integer isDcHvDisconnectModule8() {
        return dcHvDisconnectModule8;
    }
    public Integer getDcHvDisconnectModule8() { return dcHvDisconnectModule8; }

    public void setDcHvDisconnectModule8(Integer dcHvDisconnectModule8) {
        this.dcHvDisconnectModule8 = dcHvDisconnectModule8;
    }

    public Integer isHighTempShutdownModule8() {
        return highTempShutdownModule8;
    }
    public Integer getHighTempShutdownModule8() { return highTempShutdownModule8; }

    public void setHighTempShutdownModule8(Integer highTempShutdownModule8) {
        this.highTempShutdownModule8 = highTempShutdownModule8;
    }

    public Integer isDcHvDisconnectModule9() {
        return dcHvDisconnectModule9;
    }
    public Integer getDcHvDisconnectModule9() { return dcHvDisconnectModule9; }

    public void setDcHvDisconnectModule9(Integer dcHvDisconnectModule9) {
        this.dcHvDisconnectModule9 = dcHvDisconnectModule9;
    }

    public Integer isHighTempShutdownModule9() {
        return highTempShutdownModule9;
    }
    public Integer getHighTempShutdownModule9() {return highTempShutdownModule9; }

    public void setHighTempShutdownModule9(Integer highTempShutdownModule9) {
        this.highTempShutdownModule9 = highTempShutdownModule9;
    }

    public Integer isDcHvDisconnectModule10() {
        return dcHvDisconnctModule10;
    }
    public Integer getDcHvDisconnectModule10() { return dcHvDisconnectModule10; }

    public void setDcHvDisconnectModule10(Integer dcHvDisconnectModule10) {
        this.dcHvDisconnectModule10 = dcHvDisconnectModule10;
    }

    public Integer isHighTempShutdownModule10() {
        return highTempShutdownModule10;
    }
    public Integer getHighTempShutdownModule10() { return highTempShutdownModule10; }

    public void setHighTempShutdownModule10(Integer highTempShutdownModule10) {
        this.highTempShutdownModule10 = highTempShutdownModule10;
    }

    public Integer isDcHvDisconnectModule11() {
        return dcHvDisconnectModule11;
    }
    public Integer getDcHvDisconnectModule11() { return dcHvDisconnectModule11; }

    public void setDcHvDisconnectModule11(Integer dcHvDisconnectModule11) {
        this.dcHvDisconnectModule11 = dcHvDisconnectModule11;
    }

    public Integer isHighTempShutdownModule11() {
        return highTempShutdownModule11;
    }
    public Integer getHighTempShutdownModule11() { return highTempShutdownModule11; }

    public void setHighTempShutdownModule11(Integer highTempShutdownModule11) {
        this.highTempShutdownModule11 = highTempShutdownModule11;
    }

    public Integer isDcHvDisconnectModule12() {
        return dcHvDisconnectModule12;
    }
    public Integer getDcHvDisconnectModule12() { return dcHvDisconnectModule12; }

    public void setDcHvDisconnectModule12(Integer dcHvDisconnectModule12) {
        this.dcHvDisconnectModule12 = dcHvDisconnectModule12;
    }

    public Integer isHighTempShutdownModule12() {
        return highTempShutdownModule12;
    }
    public Integer getHighTempShutdownModule12() { return highTempShutdownModule12; }

    public void setHighTempShutdownModule12(Integer highTempShutdownModule12) {
        this.highTempShutdownModule12 = highTempShutdownModule12;
    }

    public Integer isDcHvDisconnectModule13() {
        return dcHvDisconnectModule13;
    }
    public Integer getDcHvDisconnectModule13() { return dcHvDisconnectModule13; }

    public void setDcHvDisconnectModule13(Integer dcHvDisconnectModule13) {
        this.dcHvDisconnectModule13 = dcHvDisconnectModule13;
    }

    public Integer isHighTempShutdownModule13() {
        return highTempShutdownModule13;
    }
    public Integer getHighTempShutdownModule13() { return highTempShutdownModule13; }

    public void setHighTempShutdownModule13(Integer highTempShutdownModule13) {
        this.highTempShutdownModule13 = highTempShutdownModule13;
    }

    public Integer isDcHvDisconnectModule14() {
        return dcHvDisconnectModule14;
    }
    public Integer getDcHvDisconnectModule14() { return dcHvDisconnectModule14; }

    public void setDcHvDisconnectModule14(Integer dcHvDisconnectModule14) {
        this.dcHvDisconnectModule14 = dcHvDisconnectModule14;
    }

    public Integer isHighTempShutdownModule14() {
        return highTempShutdownModule14;
    }
    public Integer getHighTempShutdownModule14() { return highTempShutdownModule14; }

    public void setHighTempShutdownModule14(Integer highTempShutdownModule14) {
        this.highTempShutdownModule14 = highTempShutdownModule14;
    }

    public Integer isDcHvDisconnectModule15() {
        return dcHvDisconnectModule15;
    }
    public Integer getDcHvDisconnectModule15() { return dcHvDisconnectModule15; }

    public void setDcHvDisconnectModule15(Integer dcHvDisconnectModule15) {
        this.dcHvDisconnectModule15 = dcHvDisconnectModule15;
    }

    public Integer isHighTempShutdownModule15() {
        return highTempShutdownModule15;
    }
    public Integer getHighTempShutdownModule15() { return highTempShutdownModule15; }

    public void setHighTempShutdownModule15(Integer highTempShutdownModule15) {
        this.highTempShutdownModule15 = highTempShutdownModule15;
    }

    public Integer isDcHvDisconnectModule16() {
        return dcHvDisconnectModule16;
    }
    public Integer getDcHvDisconnectModule16() { return dcHvDisconnectModule16; }

    public void setDcHvDisconnectModule16(Integer dcHvDisconnectModule16) {
        this.dcHvDisconnectModule16 = dcHvDisconnectModule16;
    }

    public Integer isHighTempShutdownModule16() {
        return highTempShutdownModule16;
    }
    public Integer getHighTempShutdownModule16() { return highTempShutdownModule16; }

    public void setHighTempShutdownModule16(Integer highTempShutdownModule16) {
        this.highTempShutdownModule16 = highTempShutdownModule16;
    }

    public Integer isDcHvDisconnectModule17() {
        return dcHvDisconnectModule17;
    }
    public Integer getDcHvDisconnectModule17() { return dcHvDisconnectModule17; }

    public void setDcHvDisconnectModule17(Integer dcHvDisconnectModule17) {
        this.dcHvDisconnectModule17 = dcHvDisconnectModule17;
    }

    public Integer isHighTempShutdownModule17() {
        return highTempShutdownModule17;
    }
    public Integer getHighTempShutdownModule17() { return highTempShutdownModule17; }

    public void setHighTempShutdownModule17(Integer highTempShutdownModule17) {
        this.highTempShutdownModule17 = highTempShutdownModule17;
    }

    public Integer isDcHvDisconnectModule18() {
        return dcHvDisconnectModule18;
    }
    public Integer getDcHvDisconnectModule18() { return dcHvDisconnectModule18; }

    public void setDcHvDisconnectModule18(Integer dcHvDisconnectModule18) {
        this.dcHvDisconnectModule18 = dcHvDisconnectModule18;
    }

    public Integer isHighTempShutdownModule18() {
        return highTempShutdownModule18;
    }
    public Integer getHighTempShutdownModule18() { return highTempShutdownModule18; }

    public void setHighTempShutdownModule18(Integer highTempShutdownModule18) {
        this.highTempShutdownModule18 = highTempShutdownModule18;
    }

    public Integer isDcHvDisconnectModule19() {
        return dcHvDisconnectModule19;
    }
    public Integer getDcHvDisconnectModule19() { return dcHvDisconnectModule19; }

    public void setDcHvDisconnectModule19(Integer dcHvDisconnectModule19) {
        this.dcHvDisconnectModule19 = dcHvDisconnectModule19;
    }

    public Integer isHighTempShutdownModule19() {
        return highTempShutdownModule19;
    }
    public Integer getHighTempShutdownModule19() { return highTempShutdownModule19; }

    public void setHighTempShutdownModule19(Integer highTempShutdownModule19) {
        this.highTempShutdownModule19 = highTempShutdownModule19;
    }

    public Integer isDcHvDisconnectModule20() {
        return dcHvDisconnectModule20;
    }
    public Integer getDcHvDisconnectModule20() { return dcHvDisconnectModule20; }

    public void setDcHvDisconnectModule20(Integer dcHvDisconnectModule20) {
        this.dcHvDisconnectModule20 = dcHvDisconnectModule20;
    }

    public Integer isHighTempShutdownModule20() {
        return highTempShutdownModule20;
    }
    public Integer getHighTempShutdownModule20() { return highTempShutdownModule20; }

    public void setHighTempShutdownModule20(Integer highTempShutdownModule20) {
        this.highTempShutdownModule20 = highTempShutdownModule20;
    }*/

    public Integer isBlvdTrip() {
        return blvdTrip;
    }

    public Integer getBlvdTrip() {
        return blvdTrip;
    }

    public void setBlvdTrip(Integer blvdTrip) {
        this.blvdTrip = blvdTrip;
    }

    public Integer isLvdDisconnect() {
        return lvdDisconnect;
    }

    public Integer getLvdDisconnect() {
        return lvdDisconnect;
    }

    public void setLvdDisconnect(Integer lvdDisconnect) {
        this.lvdDisconnect = lvdDisconnect;
    }

    public Integer getBattery1Capacity() {
        return battery1Capacity;
    }

    public void setBattery1Capacity(Integer battery1Capacity) {
        this.battery1Capacity = battery1Capacity;
    }

    public Integer getBattery2Capacity() {
        return battery2Capacity;
    }

    public void setBattery2Capacity(Integer battery2Capacity) {
        this.battery2Capacity = battery2Capacity;
    }

    public Integer getBattery3Capacity() {
        return battery3Capacity;
    }

    public void setBattery3Capacity(Integer battery3Capacity) {
        this.battery3Capacity = battery3Capacity;
    }

    public Integer getBattery4Capacity() {
        return battery4Capacity;
    }

    public void setBattery4Capacity(Integer battery4Capacity) {
        this.battery4Capacity = battery4Capacity;
    }

    public Integer isaCSurgeProtectionDeviceFail() {
        return aCSurgeProtectionDeviceFail;
    }

    public Integer getaCSurgeProtectionDeviceFail() {
        return aCSurgeProtectionDeviceFail;
    }

    public void setaCSurgeProtectionDeviceFail(Integer aCSurgeProtectionDeviceFail) {
        this.aCSurgeProtectionDeviceFail = aCSurgeProtectionDeviceFail;
    }

    public Integer isdCSurgeProtectionDeviceFail() {
        return dCSurgeProtectionDeviceFail;
    }

    public Integer getdCSurgeProtectionDeviceFail() {
        return dCSurgeProtectionDeviceFail;
    }

    public void setdCSurgeProtectionDeviceFail(Integer dCSurgeProtectionDeviceFail) {
        this.dCSurgeProtectionDeviceFail = dCSurgeProtectionDeviceFail;
    }

    public Integer isDryContact3spare() {
        return dryContact3spare;
    }

    public Integer getDryContact3spare() {
        return dryContact3spare;
    }

    public void setDryContact3spare(Integer dryContact3spare) {
        this.dryContact3spare = dryContact3spare;
    }

    public float getPvOutputVoltage() {
        return pvOutputVoltage;
    }

    public void setPvOutputVoltage(float pvOutputVoltage) {
        this.pvOutputVoltage = pvOutputVoltage;
    }

    public float getPv1InputVoltage() {
        return pv1InputVoltage;
    }

    public void setPv1InputVoltage(float pv1InputVoltage) {
        this.pv1InputVoltage = pv1InputVoltage;
    }

    public float getPv1OutputCurrent() {
        return pv1OutputCurrent;
    }

    public void setPv1OutputCurrent(float pv1OutputCurrent) {
        this.pv1OutputCurrent = pv1OutputCurrent;
    }

    public float getPv2InputVoltage() {
        return pv2InputVoltage;
    }

    public void setPv2InputVoltage(float pv2InputVoltage) {
        this.pv2InputVoltage = pv2InputVoltage;
    }

    public float getPv2OutputCurrent() {
        return pv2OutputCurrent;
    }

    public void setPv2OutputCurrent(float pv2OutputCurrent) {
        this.pv2OutputCurrent = pv2OutputCurrent;
    }

    public float getPv3InputVoltage() {
        return pv3InputVoltage;
    }

    public void setPv3InputVoltage(float pv3InputVoltage) {
        this.pv3InputVoltage = pv3InputVoltage;
    }

    public float getPv3OutputCurrent() {
        return pv3OutputCurrent;
    }

    public void setPv3OutputCurrent(float pv3OutputCurrent) {
        this.pv3OutputCurrent = pv3OutputCurrent;
    }

    public float getPv4InputVoltage() {
        return pv4InputVoltage;
    }

    public void setPv4InputVoltage(float pv4InputVoltage) {
        this.pv4InputVoltage = pv4InputVoltage;
    }

    public float getPv4OutputCurrent() {
        return pv4OutputCurrent;
    }

    public void setPv4OutputCurrent(float pv4OutputCurrent) {
        this.pv4OutputCurrent = pv4OutputCurrent;
    }

    public float getPv5InputVoltage() {
        return pv5InputVoltage;
    }

    public void setPv5InputVoltage(float pv5InputVoltage) {
        this.pv5InputVoltage = pv5InputVoltage;
    }

    public float getPv5OutputCurrent() {
        return pv5OutputCurrent;
    }

    public void setPv5OutputCurrent(float pv5OutputCurrent) {
        this.pv5OutputCurrent = pv5OutputCurrent;
    }

    public float getPv6InputVoltage() {
        return pv6InputVoltage;
    }

    public void setPv6InputVoltage(float pv6InputVoltage) {
        this.pv6InputVoltage = pv6InputVoltage;
    }

    public float getPv6OutputCurrent() {
        return pv6OutputCurrent;
    }

    public void setPv6OutputCurrent(float pv6OutputCurrent) {
        this.pv6OutputCurrent = pv6OutputCurrent;
    }

    public float getPv7InputVoltage() {
        return pv7InputVoltage;
    }

    public void setPv7InputVoltage(float pv7InputVoltage) {
        this.pv7InputVoltage = pv7InputVoltage;
    }

    public float getPv7OutputCurrent() {
        return pv7OutputCurrent;
    }

    public void setPv7OutputCurrent(float pv7OutputCurrent) {
        this.pv7OutputCurrent = pv7OutputCurrent;
    }

    public float getPv8InputVoltage() {
        return pv8InputVoltage;
    }

    public void setPv8InputVoltage(float pv8InputVoltage) {
        this.pv8InputVoltage = pv8InputVoltage;
    }

    public float getPv8OutputCurrent() {
        return pv8OutputCurrent;
    }

    public void setPv8OutputCurrent(float pv8OutputCurrent) {
        this.pv8OutputCurrent = pv8OutputCurrent;
    }

    public float getPv9InputVoltage() {
        return pv9InputVoltage;
    }

    public void setPv9InputVoltage(float pv9InputVoltage) {
        this.pv9InputVoltage = pv9InputVoltage;
    }

    public float getPv9OutputCurrent() {
        return pv9OutputCurrent;
    }

    public void setPv9OutputCurrent(float pv9OutputCurrent) {
        this.pv9OutputCurrent = pv9OutputCurrent;
    }

    public float getPv10InputVoltage() {
        return pv10InputVoltage;
    }

    public void setPv10InputVoltage(float pv10InputVoltage) {
        this.pv10InputVoltage = pv10InputVoltage;
    }

    public float getPv10OutputCurrent() {
        return pv10OutputCurrent;
    }

    public void setPv10OutputCurrent(float pv10OutputCurrent) {
        this.pv10OutputCurrent = pv10OutputCurrent;
    }

    public float getPv11InputVoltage() {
        return pv11InputVoltage;
    }

    public void setPv11InputVoltage(float pv11InputVoltage) {
        this.pv11InputVoltage = pv11InputVoltage;
    }

    public float getPv11OutputCurrent() {
        return pv11OutputCurrent;
    }

    public void setPv11OutputCurrent(float pv11OutputCurrent) {
        this.pv11OutputCurrent = pv11OutputCurrent;
    }

    public float getPv12InputVoltage() {
        return pv12InputVoltage;
    }

    public void setPv12InputVoltage(float pv12InputVoltage) {
        this.pv12InputVoltage = pv12InputVoltage;
    }

    public float getPv12OutputCurrent() {
        return pv12OutputCurrent;
    }

    public void setPv12OutputCurrent(float pv12OutputCurrent) {
        this.pv12OutputCurrent = pv12OutputCurrent;
    }

    public Integer isPv1ModuleStatus() {
        return pv1ModuleStatus;
    }

    public Integer getPv1ModuleStatus() {
        return pv1ModuleStatus;
    }

    public void setPv1ModuleStatus(Integer pv1ModuleStatus) {
        this.pv1ModuleStatus = pv1ModuleStatus;
    }

    public Integer isPv2ModuleStatus() {
        return pv2ModuleStatus;
    }

    public Integer getPv2ModuleStatus() {
        return pv2ModuleStatus;
    }

    public void setPv2ModuleStatus(Integer pv2ModuleStatus) {
        this.pv2ModuleStatus = pv2ModuleStatus;
    }

    public Integer isPv3ModuleStatus() {
        return pv3ModuleStatus;
    }

    public Integer getPv3ModuleStatus() {
        return pv3ModuleStatus;
    }

    public void setPv3ModuleStatus(Integer pv3ModuleStatus) {
        this.pv3ModuleStatus = pv3ModuleStatus;
    }

    public Integer isPv4ModuleStatus() {
        return pv4ModuleStatus;
    }

    public Integer getPv4ModuleStatus() {
        return pv4ModuleStatus;
    }

    public void setPv4ModuleStatus(Integer pv4ModuleStatus) {
        this.pv4ModuleStatus = pv4ModuleStatus;
    }

    public Integer isPv5ModuleStatus() {
        return pv5ModuleStatus;
    }

    public Integer getPv5ModuleStatus() {
        return pv5ModuleStatus;
    }

    public void setPv5ModuleStatus(Integer pv5ModuleStatus) {
        this.pv5ModuleStatus = pv5ModuleStatus;
    }

    public Integer isPv6ModuleStatus() {
        return pv6ModuleStatus;
    }

    public Integer getPv6ModuleStatus() {
        return pv6ModuleStatus;
    }

    public void setPv6ModuleStatus(Integer pv6ModuleStatus) {
        this.pv6ModuleStatus = pv6ModuleStatus;
    }

    public Integer isPv7ModuleStatus() {
        return pv7ModuleStatus;
    }

    public Integer getPv7ModuleStatus() {
        return pv7ModuleStatus;
    }

    public void setPv7ModuleStatus(Integer pv7ModuleStatus) {
        this.pv7ModuleStatus = pv7ModuleStatus;
    }

    public Integer isPv8ModuleStatus() {
        return pv8ModuleStatus;
    }

    public Integer getPv8ModuleStatus() {
        return pv8ModuleStatus;
    }

    public void setPv8ModuleStatus(Integer pv8ModuleStatus) {
        this.pv8ModuleStatus = pv8ModuleStatus;
    }

    public Integer isPv9ModuleStatus() {
        return pv9ModuleStatus;
    }

    public Integer getPv9ModuleStatus() {
        return pv9ModuleStatus;
    }

    public void setPv9ModuleStatus(Integer pv9ModuleStatus) {
        this.pv9ModuleStatus = pv9ModuleStatus;
    }

    public Integer isPv10ModuleStatus() {
        return pv10ModuleStatus;
    }

    public Integer getPv10ModuleStatus() {
        return pv10ModuleStatus;
    }

    public void setPv10ModuleStatus(Integer pv10ModuleStatus) {
        this.pv10ModuleStatus = pv10ModuleStatus;
    }

    public Integer isPv11ModuleStatus() {
        return pv11ModuleStatus;
    }

    public Integer getPv11ModuleStatus() {
        return pv11ModuleStatus;
    }

    public void setPv11ModuleStatus(Integer pv11ModuleStatus) {
        this.pv11ModuleStatus = pv11ModuleStatus;
    }

    public Integer isPv12ModuleStatus() {
        return pv12ModuleStatus;
    }

    public Integer getPv12ModuleStatus() {
        return pv12ModuleStatus;
    }

    public void setPv12ModuleStatus(Integer pv12ModuleStatus) {
        this.pv12ModuleStatus = pv12ModuleStatus;
    }

    public float getPvTotalOutputCurrent() {
        return pvTotalOutputCurrent;
    }

    public void setPvTotalOutputCurrent(float pvTotalOutputCurrent) {
        this.pvTotalOutputCurrent = pvTotalOutputCurrent;
    }

    public float getPvEnergy() {
        return pvEnergy;
    }

    public void setPvEnergy(float pvEnergy) {
        this.pvEnergy = pvEnergy;
    }

    public float getPvRunHours() {
        return pvRunHours;
    }

    public void setPvRunHours(float pvRunHours) {
        this.pvRunHours = pvRunHours;
    }

    public String getLiBattVoltage1() {
        return liBattVoltage1;
    }

    public void setLiBattVoltage1(String liBattVoltage1) {
        this.liBattVoltage1 = liBattVoltage1;
    }

    public String getLiBattCurrentCharge1() {
        return liBattCurrentCharge1;
    }

    public void setLiBattCurrentCharge1(String liBattCurrentCharge1) {
        this.liBattCurrentCharge1 = liBattCurrentCharge1;
    }

    public String getLiBattCurrentDischarge1() {
        return liBattCurrentDischarge1;
    }

    public void setLiBattCurrentDischarge1(String liBattCurrentDischarge1) {
        this.liBattCurrentDischarge1 = liBattCurrentDischarge1;
    }

    public String getLiSoh1() {
        return liSoh1;
    }

    public void setLiSoh1(String liSoh1) {
        this.liSoh1 = liSoh1;
    }

    public String getLiSoc1() {
        return liSoc1;
    }

    public void setLiSoc1(String liSoc1) {
        this.liSoc1 = liSoc1;
    }

    public String getLiBattStatus1() {
        return liBattStatus1;
    }

    public void setLiBattStatus1(String liBattStatus1) {
        this.liBattStatus1 = liBattStatus1;
    }

    public String getLiDischargeCycleCount1() {
        return liDischargeCycleCount1;
    }

    public void setLiDischargeCycleCount1(String liDischargeCycleCount1) {
        this.liDischargeCycleCount1 = liDischargeCycleCount1;
    }

    public String getLiBattVoltage2() {
        return liBattVoltage2;
    }

    public void setLiBattVoltage2(String liBattVoltage2) {
        this.liBattVoltage2 = liBattVoltage2;
    }

    public String getLiBattCurrentCharge2() {
        return liBattCurrentCharge2;
    }

    public void setLiBattCurrentCharge2(String liBattCurrentCharge2) {
        this.liBattCurrentCharge2 = liBattCurrentCharge2;
    }

    public String getLiBattCurrentDischarge2() {
        return liBattCurrentDischarge2;
    }

    public void setLiBattCurrentDischarge2(String liBattCurrentDischarge2) {
        this.liBattCurrentDischarge2 = liBattCurrentDischarge2;
    }

    public String getLiSoh2() {
        return liSoh2;
    }

    public void setLiSoh2(String liSoh2) {
        this.liSoh2 = liSoh2;
    }

    public String getLiSoc2() {
        return liSoc2;
    }

    public void setLiSoc2(String liSoc2) {
        this.liSoc2 = liSoc2;
    }

    public String getLiBattStatus2() {
        return liBattStatus2;
    }

    public void setLiBattStatus2(String liBattStatus2) {
        this.liBattStatus2 = liBattStatus2;
    }

    public String getLiDischargeCycleCount2() {
        return liDischargeCycleCount2;
    }

    public void setLiDischargeCycleCount2(String liDischargeCycleCount2) {
        this.liDischargeCycleCount2 = liDischargeCycleCount2;
    }

    public String getLiBattVoltage3() {
        return liBattVoltage3;
    }

    public void setLiBattVoltage3(String liBattVoltage3) {
        this.liBattVoltage3 = liBattVoltage3;
    }

    public String getLiBattCurrentCharge3() {
        return liBattCurrentCharge3;
    }

    public void setLiBattCurrentCharge3(String liBattCurrentCharge3) {
        this.liBattCurrentCharge3 = liBattCurrentCharge3;
    }

    public String getLiBattCurrentDischarge3() {
        return liBattCurrentDischarge3;
    }

    public void setLiBattCurrentDischarge3(String liBattCurrentDischarge3) {
        this.liBattCurrentDischarge3 = liBattCurrentDischarge3;
    }

    public String getLiSoh3() {
        return liSoh3;
    }

    public void setLiSoh3(String liSoh3) {
        this.liSoh3 = liSoh3;
    }

    public String getLiSoc3() {
        return liSoc3;
    }

    public void setLiSoc3(String liSoc3) {
        this.liSoc3 = liSoc3;
    }

    public String getLiBattStatus3() {
        return liBattStatus3;
    }

    public void setLiBattStatus3(String liBattStatus3) {
        this.liBattStatus3 = liBattStatus3;
    }

    public String getLiDischargeCycleCount3() {
        return liDischargeCycleCount3;
    }

    public void setLiDischargeCycleCount3(String liDischargeCycleCount3) {
        this.liDischargeCycleCount3 = liDischargeCycleCount3;
    }

    public String getLiBattVoltage4() {
        return liBattVoltage4;
    }

    public void setLiBattVoltage4(String liBattVoltage4) {
        this.liBattVoltage4 = liBattVoltage4;
    }

    public String getLiBattCurrentCharge4() {
        return liBattCurrentCharge4;
    }

    public void setLiBattCurrentCharge4(String liBattCurrentCharge4) {
        this.liBattCurrentCharge4 = liBattCurrentCharge4;
    }

    public String getLiBattCurrentDischarge4() {
        return liBattCurrentDischarge4;
    }

    public void setLiBattCurrentDischarge4(String liBattCurrentDischarge4) {
        this.liBattCurrentDischarge4 = liBattCurrentDischarge4;
    }

    public String getLiSoh4() {
        return liSoh4;
    }

    public void setLiSoh4(String liSoh4) {
        this.liSoh4 = liSoh4;
    }

    public String getLiSoc4() {
        return liSoc4;
    }

    public void setLiSoc4(String liSoc4) {
        this.liSoc4 = liSoc4;
    }

    public String getLiBattStatus4() {
        return liBattStatus4;
    }

    public void setLiBattStatus4(String liBattStatus4) {
        this.liBattStatus4 = liBattStatus4;
    }

    public String getLiDischargeCycleCount4() {
        return liDischargeCycleCount4;
    }

    public void setLiDischargeCycleCount4(String liDischargeCycleCount4) {
        this.liDischargeCycleCount4 = liDischargeCycleCount4;
    }

    public String getLiBattVoltage5() {
        return liBattVoltage5;
    }

    public void setLiBattVoltage5(String liBattVoltage5) {
        this.liBattVoltage5 = liBattVoltage5;
    }

    public String getLiBattCurrentCharge5() {
        return liBattCurrentCharge5;
    }

    public void setLiBattCurrentCharge5(String liBattCurrentCharge5) {
        this.liBattCurrentCharge5 = liBattCurrentCharge5;
    }

    public String getLiBattCurrentDischarge5() {
        return liBattCurrentDischarge5;
    }

    public void setLiBattCurrentDischarge5(String liBattCurrentDischarge5) {
        this.liBattCurrentDischarge5 = liBattCurrentDischarge5;
    }

    public String getLiSoh5() {
        return liSoh5;
    }

    public void setLiSoh5(String liSoh5) {
        this.liSoh5 = liSoh5;
    }

    public String getLiSoc5() {
        return liSoc5;
    }

    public void setLiSoc5(String liSoc5) {
        this.liSoc5 = liSoc5;
    }

    public String getLiBattStatus5() {
        return liBattStatus5;
    }

    public void setLiBattStatus5(String liBattStatus5) {
        this.liBattStatus5 = liBattStatus5;
    }

    public String getLiDischargeCycleCount5() {
        return liDischargeCycleCount5;
    }

    public void setLiDischargeCycleCount5(String liDischargeCycleCount5) {
        this.liDischargeCycleCount5 = liDischargeCycleCount5;
    }

    public String getLiBattVoltage6() {
        return liBattVoltage6;
    }

    public void setLiBattVoltage6(String liBattVoltage6) {
        this.liBattVoltage6 = liBattVoltage6;
    }

    public String getLiBattCurrentCharge6() {
        return liBattCurrentCharge6;
    }

    public void setLiBattCurrentCharge6(String liBattCurrentCharge6) {
        this.liBattCurrentCharge6 = liBattCurrentCharge6;
    }

    public String getLiBattCurrentDischarge6() {
        return liBattCurrentDischarge6;
    }

    public void setLiBattCurrentDischarge6(String liBattCurrentDischarge6) {
        this.liBattCurrentDischarge6 = liBattCurrentDischarge6;
    }

    public String getLiSoh6() {
        return liSoh6;
    }

    public void setLiSoh6(String liSoh6) {
        this.liSoh6 = liSoh6;
    }

    public String getLiSoc6() {
        return liSoc6;
    }

    public void setLiSoc6(String liSoc6) {
        this.liSoc6 = liSoc6;
    }

    public String getLiBattStatus6() {
        return liBattStatus6;
    }

    public void setLiBattStatus6(String liBattStatus6) {
        this.liBattStatus6 = liBattStatus6;
    }

    public String getLiDischargeCycleCount6() {
        return liDischargeCycleCount6;
    }

    public void setLiDischargeCycleCount6(String liDischargeCycleCount6) {
        this.liDischargeCycleCount6 = liDischargeCycleCount6;
    }

    public String getLiBattVoltage7() {
        return liBattVoltage7;
    }

    public void setLiBattVoltage7(String liBattVoltage7) {
        this.liBattVoltage7 = liBattVoltage7;
    }

    public String getLiBattCurrentCharge7() {
        return liBattCurrentCharge7;
    }

    public void setLiBattCurrentCharge7(String liBattCurrentCharge7) {
        this.liBattCurrentCharge7 = liBattCurrentCharge7;
    }

    public String getLiBattCurrentDischarge7() {
        return liBattCurrentDischarge7;
    }

    public void setLiBattCurrentDischarge7(String liBattCurrentDischarge7) {
        this.liBattCurrentDischarge7 = liBattCurrentDischarge7;
    }

    public String getLiSoh7() {
        return liSoh7;
    }

    public void setLiSoh7(String liSoh7) {
        this.liSoh7 = liSoh7;
    }

    public String getLiSoc7() {
        return liSoc7;
    }

    public void setLiSoc7(String liSoc7) {
        this.liSoc7 = liSoc7;
    }

    public String getLiBattStatus7() {
        return liBattStatus7;
    }

    public void setLiBattStatus7(String liBattStatus7) {
        this.liBattStatus7 = liBattStatus7;
    }

    public String getLiDischargeCycleCount7() {
        return liDischargeCycleCount7;
    }

    public void setLiDischargeCycleCount7(String liDischargeCycleCount7) {
        this.liDischargeCycleCount7 = liDischargeCycleCount7;
    }

    public String getLiBattVoltage8() {
        return liBattVoltage8;
    }

    public void setLiBattVoltage8(String liBattVoltage8) {
        this.liBattVoltage8 = liBattVoltage8;
    }

    public String getLiBattCurrentCharge8() {
        return liBattCurrentCharge8;
    }

    public void setLiBattCurrentCharge8(String liBattCurrentCharge8) {
        this.liBattCurrentCharge8 = liBattCurrentCharge8;
    }

    public String getLiBattCurrentDischarge8() {
        return liBattCurrentDischarge8;
    }

    public void setLiBattCurrentDischarge8(String liBattCurrentDischarge8) {
        this.liBattCurrentDischarge8 = liBattCurrentDischarge8;
    }

    public String getLiSoh8() {
        return liSoh8;
    }

    public void setLiSoh8(String liSoh8) {
        this.liSoh8 = liSoh8;
    }

    public String getLiSoc8() {
        return liSoc8;
    }

    public void setLiSoc8(String liSoc8) {
        this.liSoc8 = liSoc8;
    }

    public String getLiBattStatus8() {
        return liBattStatus8;
    }

    public void setLiBattStatus8(String liBattStatus8) {
        this.liBattStatus8 = liBattStatus8;
    }

    public String getLiDischargeCycleCount8() {
        return liDischargeCycleCount8;
    }

    public void setLiDischargeCycleCount8(String liDischargeCycleCount8) {
        this.liDischargeCycleCount8 = liDischargeCycleCount8;
    }

    public String getLiBattVoltage9() {
        return liBattVoltage9;
    }

    public void setLiBattVoltage9(String liBattVoltage9) {
        this.liBattVoltage9 = liBattVoltage9;
    }

    public String getLiBattCurrentCharge9() {
        return liBattCurrentCharge9;
    }

    public void setLiBattCurrentCharge9(String liBattCurrentCharge9) {
        this.liBattCurrentCharge9 = liBattCurrentCharge9;
    }

    public String getLiBattCurrentDischarge9() {
        return liBattCurrentDischarge9;
    }

    public void setLiBattCurrentDischarge9(String liBattCurrentDischarge9) {
        this.liBattCurrentDischarge9 = liBattCurrentDischarge9;
    }

    public String getLiSoh9() {
        return liSoh9;
    }

    public void setLiSoh9(String liSoh9) {
        this.liSoh9 = liSoh9;
    }

    public String getLiSoc9() {
        return liSoc9;
    }

    public void setLiSoc9(String liSoc9) {
        this.liSoc9 = liSoc9;
    }

    public String getLiBattStatus9() {
        return liBattStatus9;
    }

    public void setLiBattStatus9(String liBattStatus9) {
        this.liBattStatus9 = liBattStatus9;
    }

    public String getLiDischargeCycleCount9() {
        return liDischargeCycleCount9;
    }

    public void setLiDischargeCycleCount9(String liDischargeCycleCount9) {
        this.liDischargeCycleCount9 = liDischargeCycleCount9;
    }

    public String getLiBattVoltage10() {
        return liBattVoltage10;
    }

    public void setLiBattVoltage10(String liBattVoltage10) {
        this.liBattVoltage10 = liBattVoltage10;
    }

    public String getLiBattCurrentCharge10() {
        return liBattCurrentCharge10;
    }

    public void setLiBattCurrentCharge10(String liBattCurrentCharge10) {
        this.liBattCurrentCharge10 = liBattCurrentCharge10;
    }

    public String getLiBattCurrentDischarge10() {
        return liBattCurrentDischarge10;
    }

    public void setLiBattCurrentDischarge10(String liBattCurrentDischarge10) {
        this.liBattCurrentDischarge10 = liBattCurrentDischarge10;
    }

    public String getLiSoh10() {
        return liSoh10;
    }

    public void setLiSoh10(String liSoh10) {
        this.liSoh10 = liSoh10;
    }

    public String getLiSoc10() {
        return liSoc10;
    }

    public void setLiSoc10(String liSoc10) {
        this.liSoc10 = liSoc10;
    }

    public String getLiBattStatus10() {
        return liBattStatus10;
    }

    public void setLiBattStatus10(String liBattStatus10) {
        this.liBattStatus10 = liBattStatus10;
    }

    public String getLiDischargeCycleCount10() {
        return liDischargeCycleCount10;
    }

    public void setLiDischargeCycleCount10(String liDischargeCycleCount10) {
        this.liDischargeCycleCount10 = liDischargeCycleCount10;
    }

    public String getLiBattVoltage11() {
        return liBattVoltage11;
    }

    public void setLiBattVoltage11(String liBattVoltage11) {
        this.liBattVoltage11 = liBattVoltage11;
    }

    public String getLiBattCurrentCharge11() {
        return liBattCurrentCharge11;
    }

    public void setLiBattCurrentCharge11(String liBattCurrentCharge11) {
        this.liBattCurrentCharge11 = liBattCurrentCharge11;
    }

    public String getLiBattCurrentDischarge11() {
        return liBattCurrentDischarge11;
    }

    public void setLiBattCurrentDischarge11(String liBattCurrentDischarge11) {
        this.liBattCurrentDischarge11 = liBattCurrentDischarge11;
    }

    public String getLiSoh11() {
        return liSoh11;
    }

    public void setLiSoh11(String liSoh11) {
        this.liSoh11 = liSoh11;
    }

    public String getLiSoc11() {
        return liSoc11;
    }

    public void setLiSoc11(String liSoc11) {
        this.liSoc11 = liSoc11;
    }

    public String getLiBattStatus11() {
        return liBattStatus11;
    }

    public void setLiBattStatus11(String liBattStatus11) {
        this.liBattStatus11 = liBattStatus11;
    }

    public String getLiDischargeCycleCount11() {
        return liDischargeCycleCount11;
    }

    public void setLiDischargeCycleCount11(String liDischargeCycleCount11) {
        this.liDischargeCycleCount11 = liDischargeCycleCount11;
    }

    public String getLiBattVoltage12() {
        return liBattVoltage12;
    }

    public void setLiBattVoltage12(String liBattVoltage12) {
        this.liBattVoltage12 = liBattVoltage12;
    }

    public String getLiBattCurrentCharge12() {
        return liBattCurrentCharge12;
    }

    public void setLiBattCurrentCharge12(String liBattCurrentCharge12) {
        this.liBattCurrentCharge12 = liBattCurrentCharge12;
    }

    public String getLiBattCurrentDischarge12() {
        return liBattCurrentDischarge12;
    }

    public void setLiBattCurrentDischarge12(String liBattCurrentDischarge12) {
        this.liBattCurrentDischarge12 = liBattCurrentDischarge12;
    }

    public String getLiSoh12() {
        return liSoh12;
    }

    public void setLiSoh12(String liSoh12) {
        this.liSoh12 = liSoh12;
    }

    public String getLiSoc12() {
        return liSoc12;
    }

    public void setLiSoc12(String liSoc12) {
        this.liSoc12 = liSoc12;
    }

    public String getLiBattStatus12() {
        return liBattStatus12;
    }

    public void setLiBattStatus12(String liBattStatus12) {
        this.liBattStatus12 = liBattStatus12;
    }

    public String getLiDischargeCycleCount12() {
        return liDischargeCycleCount12;
    }

    public void setLiDischargeCycleCount12(String liDischargeCycleCount12) {
        this.liDischargeCycleCount12 = liDischargeCycleCount12;
    }

    public String getLiBattVoltage13() {
        return liBattVoltage13;
    }

    public void setLiBattVoltage13(String liBattVoltage13) {
        this.liBattVoltage13 = liBattVoltage13;
    }

    public String getLiBattCurrentCharge13() {
        return liBattCurrentCharge13;
    }

    public void setLiBattCurrentCharge13(String liBattCurrentCharge13) {
        this.liBattCurrentCharge13 = liBattCurrentCharge13;
    }

    public String getLiBattCurrentDischarge13() {
        return liBattCurrentDischarge13;
    }

    public void setLiBattCurrentDischarge13(String liBattCurrentDischarge13) {
        this.liBattCurrentDischarge13 = liBattCurrentDischarge13;
    }

    public String getLiSoh13() {
        return liSoh13;
    }

    public void setLiSoh13(String liSoh13) {
        this.liSoh13 = liSoh13;
    }

    public String getLiSoc13() {
        return liSoc13;
    }

    public void setLiSoc13(String liSoc13) {
        this.liSoc13 = liSoc13;
    }

    public String getLiBattStatus13() {
        return liBattStatus13;
    }

    public void setLiBattStatus13(String liBattStatus13) {
        this.liBattStatus13 = liBattStatus13;
    }

    public String getLiDischargeCycleCount13() {
        return liDischargeCycleCount13;
    }

    public void setLiDischargeCycleCount13(String liDischargeCycleCount13) {
        this.liDischargeCycleCount13 = liDischargeCycleCount13;
    }

    public String getLiBattVoltage14() {
        return liBattVoltage14;
    }

    public void setLiBattVoltage14(String liBattVoltage14) {
        this.liBattVoltage14 = liBattVoltage14;
    }

    public String getLiBattCurrentCharge14() {
        return liBattCurrentCharge14;
    }

    public void setLiBattCurrentCharge14(String liBattCurrentCharge14) {
        this.liBattCurrentCharge14 = liBattCurrentCharge14;
    }

    public String getLiBattCurrentDischarge14() {
        return liBattCurrentDischarge14;
    }

    public void setLiBattCurrentDischarge14(String liBattCurrentDischarge14) {
        this.liBattCurrentDischarge14 = liBattCurrentDischarge14;
    }

    public String getLiSoh14() {
        return liSoh14;
    }

    public void setLiSoh14(String liSoh14) {
        this.liSoh14 = liSoh14;
    }

    public String getLiSoc14() {
        return liSoc14;
    }

    public void setLiSoc14(String liSoc14) {
        this.liSoc14 = liSoc14;
    }

    public String getLiBattStatus14() {
        return liBattStatus14;
    }

    public void setLiBattStatus14(String liBattStatus14) {
        this.liBattStatus14 = liBattStatus14;
    }

    public String getLiDischargeCycleCount14() {
        return liDischargeCycleCount14;
    }

    public void setLiDischargeCycleCount14(String liDischargeCycleCount14) {
        this.liDischargeCycleCount14 = liDischargeCycleCount14;
    }

    public String getLiBattVoltage15() {
        return liBattVoltage15;
    }

    public void setLiBattVoltage15(String liBattVoltage15) {
        this.liBattVoltage15 = liBattVoltage15;
    }

    public String getLiBattCurrentCharge15() {
        return liBattCurrentCharge15;
    }

    public void setLiBattCurrentCharge15(String liBattCurrentCharge15) {
        this.liBattCurrentCharge15 = liBattCurrentCharge15;
    }

    public String getLiBattCurrentDischarge15() {
        return liBattCurrentDischarge15;
    }

    public void setLiBattCurrentDischarge15(String liBattCurrentDischarge15) {
        this.liBattCurrentDischarge15 = liBattCurrentDischarge15;
    }

    public String getLiSoh15() {
        return liSoh15;
    }

    public void setLiSoh15(String liSoh15) {
        this.liSoh15 = liSoh15;
    }

    public String getLiSoc15() {
        return liSoc15;
    }

    public void setLiSoc15(String liSoc15) {
        this.liSoc15 = liSoc15;
    }

    public String getLiBattStatus15() {
        return liBattStatus15;
    }

    public void setLiBattStatus15(String liBattStatus15) {
        this.liBattStatus15 = liBattStatus15;
    }

    public String getLiDischargeCycleCount15() {
        return liDischargeCycleCount15;
    }

    public void setLiDischargeCycleCount15(String liDischargeCycleCount15) {
        this.liDischargeCycleCount15 = liDischargeCycleCount15;
    }

    public String getLiBattVoltage16() {
        return liBattVoltage16;
    }

    public void setLiBattVoltage16(String liBattVoltage16) {
        this.liBattVoltage16 = liBattVoltage16;
    }

    public String getLiBattCurrentCharge16() {
        return liBattCurrentCharge16;
    }

    public void setLiBattCurrentCharge16(String liBattCurrentCharge16) {
        this.liBattCurrentCharge16 = liBattCurrentCharge16;
    }

    public String getLiBattCurrentDischarge16() {
        return liBattCurrentDischarge16;
    }

    public void setLiBattCurrentDischarge16(String liBattCurrentDischarge16) {
        this.liBattCurrentDischarge16 = liBattCurrentDischarge16;
    }

    public String getLiSoh16() {
        return liSoh16;
    }

    public void setLiSoh16(String liSoh16) {
        this.liSoh16 = liSoh16;
    }

    public String getLiSoc16() {
        return liSoc16;
    }

    public void setLiSoc16(String liSoc16) {
        this.liSoc16 = liSoc16;
    }

    public String getLiBattStatus16() {
        return liBattStatus16;
    }

    public void setLiBattStatus16(String liBattStatus16) {
        this.liBattStatus16 = liBattStatus16;
    }

    public String getLiDischargeCycleCount16() {
        return liDischargeCycleCount16;
    }

    public void setLiDischargeCycleCount16(String liDischargeCycleCount16) {
        this.liDischargeCycleCount16 = liDischargeCycleCount16;
    }

    public Integer getDcAircon1HighRoomTemp() {
        return dcAircon1HighRoomTemp;
    }

    public void setDcAircon1HighRoomTemp(Integer dcAircon1HighRoomTemp) {
        this.dcAircon1HighRoomTemp = dcAircon1HighRoomTemp;
    }

    public Integer isDcAircon1CompressorFaultFanfault() {
        return dcAircon1CompressorFaultFanfault;
    }

    public Integer getDcAircon1CompressorFaultFanfault() {
        return dcAircon1CompressorFaultFanfault;
    }

    public void setDcAircon1CompressorFaultFanfault(Integer dcAircon1CompressorFaultFanfault) {
        this.dcAircon1CompressorFaultFanfault = dcAircon1CompressorFaultFanfault;
    }

    public Integer getDcAircon2HighRoomTemp() {
        return dcAircon2HighRoomTemp;
    }

    public void setDcAircon2HighRoomTemp(Integer dcAircon2HighRoomTemp) {
        this.dcAircon2HighRoomTemp = dcAircon2HighRoomTemp;
    }

    public Integer isDcAircon2CompressorFaultFanfault() {
        return dcAircon2CompressorFaultFanfault;
    }

    public Integer getDcAircon2CompressorFaultFanfault() {
        return dcAircon2CompressorFaultFanfault;
    }

    public void setDcAircon2CompressorFaultFanfault(Integer dcAircon2CompressorFaultFanfault) {
        this.dcAircon2CompressorFaultFanfault = dcAircon2CompressorFaultFanfault;
    }

    public Integer getFuelSensorFuelinliters() {
        return fuelSensorFuelinliters;
    }

    public void setFuelSensorFuelinliters(Integer fuelSensorFuelinliters) {
        this.fuelSensorFuelinliters = fuelSensorFuelinliters;
    }

    public Integer getFuelSensorFuelinMm() {
        return fuelSensorFuelinMm;
    }

    public void setFuelSensorFuelinMm(Integer fuelSensorFuelinMm) {
        this.fuelSensorFuelinMm = fuelSensorFuelinMm;
    }

    public float getFuelSensorFuelinPercentage() {
        return fuelSensorFuelinPercentage;
    }

    public void setFuelSensorFuelinPercentage(float fuelSensorFuelinPercentage) {
        this.fuelSensorFuelinPercentage = fuelSensorFuelinPercentage;
    }

    public float getReserved11() {
        return reserved11;
    }

    public void setReserved11(float reserved11) {
        this.reserved11 = reserved11;
    }

    public float getReserved10() {
        return reserved10;
    }

    public void setReserved10(float reserved10) {
        this.reserved10 = reserved10;
    }

    public float getReserved9() {
        return reserved9;
    }

    public void setReserved9(float reserved9) {
        this.reserved9 = reserved9;
    }

    public Integer isReserved8() {
        return reserved8;
    }

    public Integer getReserved8() {
        return reserved8;
    }

    public void setReserved8(Integer reserved8) {
        this.reserved8 = reserved8;
    }

    public Integer isReserved7() {
        return reserved7;
    }

    public Integer getReserved7() {
        return reserved7;
    }

    public void setReserved7(Integer reserved7) {
        this.reserved7 = reserved7;
    }

    public float getReserved6() {
        return reserved6;
    }

    public void setReserved6(float reserved6) {
        this.reserved6 = reserved6;
    }

    public float getReserved5() {
        return reserved5;
    }

    public void setReserved5(float reserved5) {
        this.reserved5 = reserved5;
    }

    public float getReserved4() {
        return reserved4;
    }

    public void setReserved4(float reserved4) {
        this.reserved4 = reserved4;
    }


    public Integer getReserved3PvHybridMode() {
        return reserved3PvHybridMode;
    }

    public void setReserved3PvHybridMode(Integer reserved3PvHybridMode) {
        this.reserved3PvHybridMode = reserved3PvHybridMode;
    }

    public Integer getReserved2LoadOnPv() {
        return reserved2LoadOnPv;
    }

    public void setReserved2LoadOnPv(Integer reserved2LoadOnPv) {
        this.reserved2LoadOnPv = reserved2LoadOnPv;
    }

    public Integer isRectifierControllerCommFault() {
        return rectifierControllerCommFault;
    }

    public Integer getRectifierControllerCommFault() {
        return rectifierControllerCommFault;
    }

    public void setRectifierControllerCommFault(Integer rectifierControllerCommFault) {
        this.rectifierControllerCommFault = rectifierControllerCommFault;
    }

    public String getLiCommFault1() {
        return liCommFault1;
    }

    public void setLiCommFault1(String liCommFault1) {
        this.liCommFault1 = liCommFault1;
    }

    public String getLiCommFault2() {
        return liCommFault2;
    }

    public void setLiCommFault2(String liCommFault2) {
        this.liCommFault2 = liCommFault2;
    }

    public String getLiCommFault3() {
        return liCommFault3;
    }

    public void setLiCommFault3(String liCommFault3) {
        this.liCommFault3 = liCommFault3;
    }

    public String getLiCommFault4() {
        return liCommFault4;
    }

    public void setLiCommFault4(String liCommFault4) {
        this.liCommFault4 = liCommFault4;
    }

    public String getLiCommFault5() {
        return liCommFault5;
    }

    public void setLiCommFault5(String liCommFault5) {
        this.liCommFault5 = liCommFault5;
    }

    public String getLiCommFault6() {
        return liCommFault6;
    }

    public void setLiCommFault6(String liCommFault6) {
        this.liCommFault6 = liCommFault6;
    }

    public String getLiCommFault7() {
        return liCommFault7;
    }

    public void setLiCommFault7(String liCommFault7) {
        this.liCommFault7 = liCommFault7;
    }

    public String getLiCommFault8() {
        return liCommFault8;
    }

    public void setLiCommFault8(String liCommFault8) {
        this.liCommFault8 = liCommFault8;
    }

    public String getLiCommFault9() {
        return liCommFault9;
    }

    public void setLiCommFault9(String liCommFault9) {
        this.liCommFault9 = liCommFault9;
    }

    public String getLiCommFault10() {
        return liCommFault10;
    }

    public void setLiCommFault10(String liCommFault10) {
        this.liCommFault10 = liCommFault10;
    }

    public String getLiCommFault11() {
        return liCommFault11;
    }

    public void setLiCommFault11(String liCommFault11) {
        this.liCommFault11 = liCommFault11;
    }

    public String getLiCommFault12() {
        return liCommFault12;
    }

    public void setLiCommFault12(String liCommFault12) {
        this.liCommFault12 = liCommFault12;
    }

    public String getLiCommFault13() {
        return liCommFault13;
    }

    public void setLiCommFault13(String liCommFault13) {
        this.liCommFault13 = liCommFault13;
    }

    public String getLiCommFault14() {
        return liCommFault14;
    }

    public void setLiCommFault14(String liCommFault14) {
        this.liCommFault14 = liCommFault14;
    }

    public String getLiCommFault15() {
        return liCommFault15;
    }

    public void setLiCommFault15(String liCommFault15) {
        this.liCommFault15 = liCommFault15;
    }

    public String getLiCommFault16() {
        return liCommFault16;
    }

    public void setLiCommFault16(String liCommFault16) {
        this.liCommFault16 = liCommFault16;
    }

    public Integer getaCEMCommFault() {
        return aCEMCommFault;
    }

    public void setaCEMCommFault(Integer aCEMCommFault) {
        this.aCEMCommFault = aCEMCommFault;
    }

    public Integer isdCEMCOMMFault() {
        return dCEMCOMMFault;
    }

    public Integer getdCEMCOMMFault() {
        return dCEMCOMMFault;
    }

    public void setdCEMCOMMFault(Integer dCEMCOMMFault) {
        this.dCEMCOMMFault = dCEMCOMMFault;
    }

    public Integer isgCUCommFault() {
        return gCUCommFault;
    }

    public Integer getgCUCommFault() {
        return gCUCommFault;
    }

    public void setgCUCommFault(Integer gCUCommFault) {
        this.gCUCommFault = gCUCommFault;
    }

    public Integer isSolarEMCOMMfault() {
        return solarEMCOMMfault;
    }

    public Integer getSolarEMCOMMfault() {
        return solarEMCOMMfault;
    }


    public void setSolarEMCOMMfault(Integer solarEMCOMMfault) {
        this.solarEMCOMMfault = solarEMCOMMfault;
    }

    public Integer isdCAirCon1CommFault() {
        return dCAirCon1CommFault;
    }

    public Integer getdCAirCon1CommFault() {
        return dCAirCon1CommFault;
    }

    public void setdCAirCon1CommFault(Integer dCAirCon1CommFault) {
        this.dCAirCon1CommFault = dCAirCon1CommFault;
    }

    public Integer isdCAirCon2CommFault() {
        return dCAirCon2CommFault;
    }

    public Integer getdCAirCon2CommFault() {
        return dCAirCon2CommFault;
    }

    public void setdCAirCon2CommFault(Integer dCAirCon2CommFault) {
        this.dCAirCon2CommFault = dCAirCon2CommFault;
    }

    public Integer isFuelSensorCommFault() {
        return fuelSensorCommFault;
    }

    public Integer getFuelSensorCommFault() {
        return fuelSensorCommFault;
    }

    public void setFuelSensorCommFault(Integer fuelSensorCommFault) {
        this.fuelSensorCommFault = fuelSensorCommFault;
    }

    public String getdGCapacityinkVA() {
        return dGCapacityinkVA;
    }

    public void setdGCapacityinkVA(String dGCapacityinkVA) {
        this.dGCapacityinkVA = dGCapacityinkVA;
    }

    public float getTotalLoadCurrent() {
        return totalLoadCurrent;
    }

    public void setTotalLoadCurrent(float totalLoadCurrent) {
        this.totalLoadCurrent = totalLoadCurrent;
    }

    public Integer isSingleRectifierfail() {
        return singleRectifierfail;
    }

    public Integer getSingleRectifierfail() {
        return singleRectifierfail;
    }

    public void setSingleRectifierfail(Integer singleRectifierfail) {
        this.singleRectifierfail = singleRectifierfail;
    }

    public Integer isMultipleRectifierFail() {
        return multipleRectifierFail;
    }

    public Integer getMultipleRectifierFail() {
        return multipleRectifierFail;
    }

    public void setMultipleRectifierFail(Integer multipleRectifierFail) {
        this.multipleRectifierFail = multipleRectifierFail;
    }

    public Integer getdGCommonFault() {
        return dGCommonFault;
    }

    public void setdGCommonFault(Integer dGCommonFault) {
        this.dGCommonFault = dGCommonFault;
    }

    public PacketModel() {
    }

    public PacketModel(Integer packetId, Date dateAndTimeStamp, String siteID) {
        super();
        this.packetId = packetId;
        this.dateAndTimeStamp = dateAndTimeStamp;
        this.siteID = siteID;
    }

    public PacketModel(Date dateAndTimeStamp, String siteID, Integer loadOnMains, Integer loadOnDG12,
                       Integer loadOnBattery, Integer reserved2LoadOnPv) {
        super();
        this.dateAndTimeStamp = dateAndTimeStamp;
        this.siteID = siteID;
        this.loadOnMains = loadOnMains;
        this.loadOnDG12 = loadOnDG12;
        this.loadOnBattery = loadOnBattery;
        this.reserved2LoadOnPv = reserved2LoadOnPv;
    }


    public PacketModel(Date dateAndTimeStamp, String siteID, Integer loadOnMains, Integer loadOnDG12,
                       Integer loadOnBattery, Integer reserved2LoadOnPv, Float dG1RunHour, Float gridRunHour, Float dgRunhoursCB, Float dgRunhoursKW, Float reserved9) {
        super();
        this.dateAndTimeStamp = dateAndTimeStamp;
        this.siteID = siteID;
        this.loadOnMains = loadOnMains;
        this.loadOnDG12 = loadOnDG12;
        this.loadOnBattery = loadOnBattery;
        this.reserved2LoadOnPv = reserved2LoadOnPv;
        this.dG1RunHour = (dG1RunHour == null) ? 0 : dG1RunHour.floatValue();
        this.gridRunHour = (gridRunHour == null) ? 0 : gridRunHour.floatValue();
        this.reserved11 = (dgRunhoursCB == null) ? 0 : dgRunhoursCB.floatValue();
        this.reserved10 = (dgRunhoursKW == null) ? 0 : dgRunhoursKW.floatValue();
        this.reserved9 = (reserved9 == null) ? 0 : reserved9.floatValue();
    }

    // Author: Faizan Salamat
    // created for solarBatt,solarEB,SolarDG RH
    public PacketModel(String siteID, Date dateAndTimeStamp, Integer pvHybridMode, Integer loadOnBattery, Integer loadOnMains, Integer loadOnDG12) {
        super();
        this.dateAndTimeStamp = dateAndTimeStamp;
        this.siteID = siteID;
        this.loadOnBattery = loadOnBattery;
        this.loadOnMains = loadOnMains;
        this.loadOnDG12 = loadOnDG12;
        this.reserved3PvHybridMode = pvHybridMode;
    }

    // created for Deep Sea RH
    public PacketModel(Date dateAndTimeStamp, String siteId, Double reserved11) {
        this.siteID = siteId;
        this.dateAndTimeStamp = dateAndTimeStamp;
        this.reserved11 = reserved11.floatValue();
    }

    public PacketModel(PacketModel model) {
        this.dateAndTimeStamp = model.getDateAndTimeStamp();
        this.siteID = model.getSiteID();
        this.loadOnBattery = model.loadOnBattery;
        this.loadOnMains = model.loadOnMains;
        this.loadOnDG12 = model.loadOnDG12;
        this.reserved3PvHybridMode = model.reserved3PvHybridMode;
    }


    @Override
   /* public String toString() {
        return "PacketNewModel [dateAndTimeStamp=" + dateAndTimeStamp + ", packetSeqid=" + packetSeqid + ", packetId="
                + packetId + ", siteID=" + siteID + ", simNumber=" + simNumber + ", packetType=" + packetType
                + ", fanFailDI1=" + fanFailDI1 + ", doorOpenDI2=" + doorOpenDI2 + ", smokeFireDI3=" + smokeFireDI3
                + ", dI4Spare=" + dI4Spare + ", dI5Spare=" + dI5Spare + ", dI6Spare=" + dI6Spare + ", dI7Spare="
                + dI7Spare + ", dI8Spare=" + dI8Spare + ", dI9Spare=" + dI9Spare + ", dI10Spare=" + dI10Spare
                + ", dI11Spare=" + dI11Spare + ", dI12Spare=" + dI12Spare + ", tamperSwitchforModem="
                + tamperSwitchforModem + ", fireAndSmokeDO1=" + fireAndSmokeDO1 + ", loadOnDGDO2=" + loadOnDGDO2
                + ", dO3FanFail=" + dO3FanFail + ", dO4DOOROPEN=" + dO4DOOROPEN + ", aI1Spare=" + aI1Spare
                + ", aI2Spare=" + aI2Spare + ", aI3Spare=" + aI3Spare + ", aI4Spare=" + aI4Spare + ", eBRPhaseN="
                + eBRPhaseN + ", eBYPhaseN=" + eBYPhaseN + ", eBBPhaseN=" + eBBPhaseN + ", eBRYPhaseVoltage="
                + eBRYPhaseVoltage + ", eBYBPhaseVoltage=" + eBYBPhaseVoltage + ", eBBRPhaseVoltage=" + eBBRPhaseVoltage
                + ", eBIR=" + eBIR + ", eBIY=" + eBIY + ", eBIB=" + eBIB + ", eBInputFrequency=" + eBInputFrequency
                + ", eBInputGridEnergy=" + eBInputGridEnergy + ", dG1Energy=" + dG1Energy + ", eBRPhasePower="
                + eBRPhasePower + ", eBYPhasePower=" + eBYPhasePower + ", eBBPhasePower=" + eBBPhasePower
                + ", gridRunHour=" + gridRunHour + ", dG1RunHour=" + dG1RunHour + ", loadOnMains=" + loadOnMains
                + ", loadOnDG12=" + loadOnDG12 + ", tenant1Energy=" + tenant1Energy + ", tenant1Power=" + tenant1Power
                + ", tenant1Current=" + tenant1Current + ", tenant2Energy=" + tenant2Energy + ", tenant2Power="
                + tenant2Power + ", tenant2Current=" + tenant2Current + ", tenant3Energy=" + tenant3Energy
                + ", tenant3Power=" + tenant3Power + ", tenant3Current=" + tenant3Current + ", tenant4Energy="
                + tenant4Energy + ", tenant4Power=" + tenant4Power + ", tenant4Current=" + tenant4Current
                + ", tenant5Energy=" + tenant5Energy + ", tenant5Power=" + tenant5Power + ", tenant5Current="
                + tenant5Current + ", batteryCurrent=" + batteryCurrent + ", dG12OnInManualMode=" + dG12OnInManualMode
                + ", dG1BatteryVoltage=" + dG1BatteryVoltage + ", dG12Frequency=" + dG12Frequency + ", dG12RPhaseN="
                + dG12RPhaseN + ", dG12YPhaseN=" + dG12YPhaseN + ", dG12BPhaseN=" + dG12BPhaseN
                + ", dG12RYPhaseVoltage=" + dG12RYPhaseVoltage + ", dG12YBPhaseVoltage=" + dG12YBPhaseVoltage
                + ", dG12BRPhaseVoltage=" + dG12BRPhaseVoltage + ", dG12Ir=" + dG12Ir + ", dG12Iy=" + dG12Iy
                + ", dG12Ib=" + dG12Ib + ", dG12RPhasePower=" + dG12RPhasePower + ", dG12YPhasePower=" + dG12YPhasePower
                + ", dG12BPhasePower=" + dG12BPhasePower + ", dG12OnWithoutLoad=" + dG12OnWithoutLoad
                + ", lowLubeOilPressure=" + lowLubeOilPressure + ", dGHwtHct=" + dGHwtHct + ", dGEmergencyStop="
                + dGEmergencyStop + ", dGOverLoad=" + dGOverLoad + ", dGLowFuelLevel=" + dGLowFuelLevel
                + ", dGBatteryVoltageLow=" + dGBatteryVoltageLow + ", dGFailToStart=" + dGFailToStart
                + ", dGFailToStop=" + dGFailToStop + ", systemDcVoltage=" + systemDcVoltage
                + ", battery1CabinetTemperature=" + battery1CabinetTemperature + ", socBattery1=" + socBattery1
                + ", battery2CabinetTemperature=" + battery2CabinetTemperature + ", socBattery2=" + socBattery2
                + ", batteryOnDischarge=" + batteryOnDischarge + ", loadOnBattery=" + loadOnBattery
                + ", battery3CabinetTemperature=" + battery3CabinetTemperature + ", socBattery3=" + socBattery3
                + ", battery4CabinetTemperature=" + battery4CabinetTemperature + ", socBattery4=" + socBattery4
                + ", systemCabinetTemperature=" + systemCabinetTemperature + ", outdoorEnvironmentTemperature="
                + outdoorEnvironmentTemperature + ", mainsFail=" + mainsFail + ", dCVoltageLow=" + dCVoltageLow
                + ", loadBreakerTripped=" + loadBreakerTripped + ", batteryFuseFail=" + batteryFuseFail
                + ", batterTempHigh=" + batterTempHigh + ", dcHvDisconnectModule1=" + dcHvDisconnectModule1
                + ", highTempShutdownModule1=" + highTempShutdownModule1 + ", dcHvDisconnectModule2="
                + dcHvDisconnectModule2 + ", highTempShutdownModule2=" + highTempShutdownModule2
                + ", dcHvDisconnectModule3=" + dcHvDisconnectModule3 + ", highTempShutdownModule3="
                + highTempShutdownModule3 + ", dcHvDisconnectModule4=" + dcHvDisconnectModule4
                + ", highTempShutdownModule4=" + highTempShutdownModule4 + ", dcHvDisconnectModule5="
                + dcHvDisconnectModule5 + ", highTempShutdownModule5=" + highTempShutdownModule5
                + ", dcHvDisconnectModule6=" + dcHvDisconnectModule6 + ", highTempShutdownModule6="
                + highTempShutdownModule6 + ", dcHvDisconnectModule7=" + dcHvDisconnectModule7
                + ", highTempShutdownModule7=" + highTempShutdownModule7 + ", dcHvDisconnectModule8="
                + dcHvDisconnectModule8 + ", highTempShutdownModule8=" + highTempShutdownModule8
                + ", dcHvDisconnectModule9=" + dcHvDisconnectModule9 + ", highTempShutdownModule9="
                + highTempShutdownModule9 + ", dcHvDisconnectModule10=" + dcHvDisconnectModule10
                + ", highTempShutdownModule10=" + highTempShutdownModule10 + ", dcHvDisconnectModule11="
                + dcHvDisconnectModule11 + ", highTempShutdownModule11=" + highTempShutdownModule11
                + ", dcHvDisconnectModule12=" + dcHvDisconnectModule12 + ", highTempShutdownModule12="
                + highTempShutdownModule12 + ", dcHvDisconnectModule13=" + dcHvDisconnectModule13
                + ", highTempShutdownModule13=" + highTempShutdownModule13 + ", dcHvDisconnectModule14="
                + dcHvDisconnectModule14 + ", highTempShutdownModule14=" + highTempShutdownModule14
                + ", dcHvDisconnectModule15=" + dcHvDisconnectModule15 + ", highTempShutdownModule15="
                + highTempShutdownModule15 + ", dcHvDisconnectModule16=" + dcHvDisconnectModule16
                + ", highTempShutdownModule16=" + highTempShutdownModule16 + ", dcHvDisconnectModule17="
                + dcHvDisconnectModule17 + ", highTempShutdownModule17=" + highTempShutdownModule17
                + ", dcHvDisconnectModule18=" + dcHvDisconnectModule18 + ", highTempShutdownModule18="
                + highTempShutdownModule18 + ", dcHvDisconnectModule19=" + dcHvDisconnectModule19
                + ", highTempShutdownModule19=" + highTempShutdownModule19 + ", dcHvDisconnectModule20="
                + dcHvDisconnectModule20 + ", highTempShutdownModule20=" + highTempShutdownModule20 + ", blvdTrip="
                + blvdTrip + ", lvdDisconnect=" + lvdDisconnect + ", battery1Capacity=" + battery1Capacity
                + ", battery2Capacity=" + battery2Capacity + ", battery3Capacity=" + battery3Capacity
                + ", battery4Capacity=" + battery4Capacity + ", aCSurgeProtectionDeviceFail="
                + aCSurgeProtectionDeviceFail + ", dCSurgeProtectionDeviceFail=" + dCSurgeProtectionDeviceFail
                + ", dryContact3spare=" + dryContact3spare + ", pvOutputVoltage=" + pvOutputVoltage
                + ", pv1InputVoltage=" + pv1InputVoltage + ", pv1OutputCurrent=" + pv1OutputCurrent
                + ", pv2InputVoltage=" + pv2InputVoltage + ", pv2OutputCurrent=" + pv2OutputCurrent
                + ", pv3InputVoltage=" + pv3InputVoltage + ", pv3OutputCurrent=" + pv3OutputCurrent
                + ", pv4InputVoltage=" + pv4InputVoltage + ", pv4OutputCurrent=" + pv4OutputCurrent
                + ", pv5InputVoltage=" + pv5InputVoltage + ", pv5OutputCurrent=" + pv5OutputCurrent
                + ", pv6InputVoltage=" + pv6InputVoltage + ", pv6OutputCurrent=" + pv6OutputCurrent
                + ", pv7InputVoltage=" + pv7InputVoltage + ", pv7OutputCurrent=" + pv7OutputCurrent
                + ", pv8InputVoltage=" + pv8InputVoltage + ", pv8OutputCurrent=" + pv8OutputCurrent
                + ", pv9InputVoltage=" + pv9InputVoltage + ", pv9OutputCurrent=" + pv9OutputCurrent
                + ", pv10InputVoltage=" + pv10InputVoltage + ", pv10OutputCurrent=" + pv10OutputCurrent
                + ", pv11InputVoltage=" + pv11InputVoltage + ", pv11OutputCurrent=" + pv11OutputCurrent
                + ", pv12InputVoltage=" + pv12InputVoltage + ", pv12OutputCurrent=" + pv12OutputCurrent
                + ", pv1ModuleStatus=" + pv1ModuleStatus + ", pv2ModuleStatus=" + pv2ModuleStatus + ", pv3ModuleStatus="
                + pv3ModuleStatus + ", pv4ModuleStatus=" + pv4ModuleStatus + ", pv5ModuleStatus=" + pv5ModuleStatus
                + ", pv6ModuleStatus=" + pv6ModuleStatus + ", pv7ModuleStatus=" + pv7ModuleStatus + ", pv8ModuleStatus="
                + pv8ModuleStatus + ", pv9ModuleStatus=" + pv9ModuleStatus + ", pv10ModuleStatus=" + pv10ModuleStatus
                + ", pv11ModuleStatus=" + pv11ModuleStatus + ", pv12ModuleStatus=" + pv12ModuleStatus
                + ", pvTotalOutputCurrent=" + pvTotalOutputCurrent + ", pvEnergy=" + pvEnergy + ", pvRunHours="
                + pvRunHours + ", liBattVoltage1=" + liBattVoltage1 + ", liBattCurrentCharge1=" + liBattCurrentCharge1
                + ", liBattCurrentDischarge1=" + liBattCurrentDischarge1 + ", liSoh1=" + liSoh1 + ", liSoc1=" + liSoc1
                + ", liBattStatus1=" + liBattStatus1 + ", liDischargeCycleCount1=" + liDischargeCycleCount1
                + ", liBattVoltage2=" + liBattVoltage2 + ", liBattCurrentCharge2=" + liBattCurrentCharge2
                + ", liBattCurrentDischarge2=" + liBattCurrentDischarge2 + ", liSoh2=" + liSoh2 + ", liSoc2=" + liSoc2
                + ", liBattStatus2=" + liBattStatus2 + ", liDischargeCycleCount2=" + liDischargeCycleCount2
                + ", liBattVoltage3=" + liBattVoltage3 + ", liBattCurrentCharge3=" + liBattCurrentCharge3
                + ", liBattCurrentDischarge3=" + liBattCurrentDischarge3 + ", liSoh3=" + liSoh3 + ", liSoc3=" + liSoc3
                + ", liBattStatus3=" + liBattStatus3 + ", liDischargeCycleCount3=" + liDischargeCycleCount3
                + ", liBattVoltage4=" + liBattVoltage4 + ", liBattCurrentCharge4=" + liBattCurrentCharge4
                + ", liBattCurrentDischarge4=" + liBattCurrentDischarge4 + ", liSoh4=" + liSoh4 + ", liSoc4=" + liSoc4
                + ", liBattStatus4=" + liBattStatus4 + ", liDischargeCycleCount4=" + liDischargeCycleCount4
                + ", liBattVoltage5=" + liBattVoltage5 + ", liBattCurrentCharge5=" + liBattCurrentCharge5
                + ", liBattCurrentDischarge5=" + liBattCurrentDischarge5 + ", liSoh5=" + liSoh5 + ", liSoc5=" + liSoc5
                + ", liBattStatus5=" + liBattStatus5 + ", liDischargeCycleCount5=" + liDischargeCycleCount5
                + ", liBattVoltage6=" + liBattVoltage6 + ", liBattCurrentCharge6=" + liBattCurrentCharge6
                + ", liBattCurrentDischarge6=" + liBattCurrentDischarge6 + ", liSoh6=" + liSoh6 + ", liSoc6=" + liSoc6
                + ", liBattStatus6=" + liBattStatus6 + ", liDischargeCycleCount6=" + liDischargeCycleCount6
                + ", liBattVoltage7=" + liBattVoltage7 + ", liBattCurrentCharge7=" + liBattCurrentCharge7
                + ", liBattCurrentDischarge7=" + liBattCurrentDischarge7 + ", liSoh7=" + liSoh7 + ", liSoc7=" + liSoc7
                + ", liBattStatus7=" + liBattStatus7 + ", liDischargeCycleCount7=" + liDischargeCycleCount7
                + ", liBattVoltage8=" + liBattVoltage8 + ", liBattCurrentCharge8=" + liBattCurrentCharge8
                + ", liBattCurrentDischarge8=" + liBattCurrentDischarge8 + ", liSoh8=" + liSoh8 + ", liSoc8=" + liSoc8
                + ", liBattStatus8=" + liBattStatus8 + ", liDischargeCycleCount8=" + liDischargeCycleCount8
                + ", liBattVoltage9=" + liBattVoltage9 + ", liBattCurrentCharge9=" + liBattCurrentCharge9
                + ", liBattCurrentDischarge9=" + liBattCurrentDischarge9 + ", liSoh9=" + liSoh9 + ", liSoc9=" + liSoc9
                + ", liBattStatus9=" + liBattStatus9 + ", liDischargeCycleCount9=" + liDischargeCycleCount9
                + ", liBattVoltage10=" + liBattVoltage10 + ", liBattCurrentCharge10=" + liBattCurrentCharge10
                + ", liBattCurrentDischarge10=" + liBattCurrentDischarge10 + ", liSoh10=" + liSoh10 + ", liSoc10="
                + liSoc10 + ", liBattStatus10=" + liBattStatus10 + ", liDischargeCycleCount10="
                + liDischargeCycleCount10 + ", liBattVoltage11=" + liBattVoltage11 + ", liBattCurrentCharge11="
                + liBattCurrentCharge11 + ", liBattCurrentDischarge11=" + liBattCurrentDischarge11 + ", liSoh11="
                + liSoh11 + ", liSoc11=" + liSoc11 + ", liBattStatus11=" + liBattStatus11 + ", liDischargeCycleCount11="
                + liDischargeCycleCount11 + ", liBattVoltage12=" + liBattVoltage12 + ", liBattCurrentCharge12="
                + liBattCurrentCharge12 + ", liBattCurrentDischarge12=" + liBattCurrentDischarge12 + ", liSoh12="
                + liSoh12 + ", liSoc12=" + liSoc12 + ", liBattStatus12=" + liBattStatus12 + ", liDischargeCycleCount12="
                + liDischargeCycleCount12 + ", liBattVoltage13=" + liBattVoltage13 + ", liBattCurrentCharge13="
                + liBattCurrentCharge13 + ", liBattCurrentDischarge13=" + liBattCurrentDischarge13 + ", liSoh13="
                + liSoh13 + ", liSoc13=" + liSoc13 + ", liBattStatus13=" + liBattStatus13 + ", liDischargeCycleCount13="
                + liDischargeCycleCount13 + ", liBattVoltage14=" + liBattVoltage14 + ", liBattCurrentCharge14="
                + liBattCurrentCharge14 + ", liBattCurrentDischarge14=" + liBattCurrentDischarge14 + ", liSoh14="
                + liSoh14 + ", liSoc14=" + liSoc14 + ", liBattStatus14=" + liBattStatus14 + ", liDischargeCycleCount14="
                + liDischargeCycleCount14 + ", liBattVoltage15=" + liBattVoltage15 + ", liBattCurrentCharge15="
                + liBattCurrentCharge15 + ", liBattCurrentDischarge15=" + liBattCurrentDischarge15 + ", liSoh15="
                + liSoh15 + ", liSoc15=" + liSoc15 + ", liBattStatus15=" + liBattStatus15 + ", liDischargeCycleCount15="
                + liDischargeCycleCount15 + ", liBattVoltage16=" + liBattVoltage16 + ", liBattCurrentCharge16="
                + liBattCurrentCharge16 + ", liBattCurrentDischarge16=" + liBattCurrentDischarge16 + ", liSoh16="
                + liSoh16 + ", liSoc16=" + liSoc16 + ", liBattStatus16=" + liBattStatus16 + ", liDischargeCycleCount16="
                + liDischargeCycleCount16 + ", DcAircon1HighRoomTemp=" + dcAircon1HighRoomTemp
                + ", DcAircon1CompressorFaultFanfault=" + dcAircon1CompressorFaultFanfault + ", DcAircon2HighRoomTemp="
                + dcAircon2HighRoomTemp + ", DcAircon2CompressorFaultFanfault=" + dcAircon2CompressorFaultFanfault
                + ", FuelSensorFuelinliters=" + fuelSensorFuelinliters + ", FuelSensorFuelinMm=" + fuelSensorFuelinMm
                + ", FuelSensorFuelinPercentage=" + fuelSensorFuelinPercentage + ", reserved11="
                + reserved11 + ", reserved10=" + reserved10
                + ", reserved9=" + reserved9 + ", reserved8=" + reserved8
                + ", reserved7=" + reserved7 + ", reserved6=" + reserved6 + ", reserved5=" + reserved5
                + ", reserved4=" + reserved4 + ", reserved3PvHybridMode=" + reserved3PvHybridMode + ", reserved2LoadOnPv=" + reserved2LoadOnPv
                + ", RectifierControllerCommFault=" + rectifierControllerCommFault + ", liCommFault1=" + liCommFault1
                + ", liCommFault2=" + liCommFault2 + ", liCommFault3=" + liCommFault3 + ", liCommFault4=" + liCommFault4
                + ", liCommFault5=" + liCommFault5 + ", liCommFault6=" + liCommFault6 + ", liCommFault7=" + liCommFault7
                + ", liCommFault8=" + liCommFault8 + ", liCommFault9=" + liCommFault9 + ", liCommFault10="
                + liCommFault10 + ", liCommFault11=" + liCommFault11 + ", liCommFault12=" + liCommFault12
                + ", liCommFault13=" + liCommFault13 + ", liCommFault14=" + liCommFault14 + ", liCommFault15="
                + liCommFault15 + ", liCommFault16=" + liCommFault16 + ", aCEMCommFault=" + aCEMCommFault
                + ", dCEMCOMMFault=" + dCEMCOMMFault + ", gCUCommFault=" + gCUCommFault + ", solarEMCOMMfault="
                + solarEMCOMMfault + ", dCAirCon1CommFault=" + dCAirCon1CommFault + ", dCAirCon2CommFault="
                + dCAirCon2CommFault + ", fuelSensorCommFault=" + fuelSensorCommFault + ", dGCapacityinkVA="
                + dGCapacityinkVA + ", totalLoadCurrent=" + totalLoadCurrent + ", singleRectifierfail="
                + singleRectifierfail + ", multipleRectifierFail=" + multipleRectifierFail + ", dGCommonFault="
                + dGCommonFault + "]";
    }*/

    public String toString() {
        return "PacketNewModel [dateAndTimeStamp=" + dateAndTimeStamp + ", packetSeqid=" + packetSeqid + ", packetId="
                + packetId + ", siteID=" + siteID + ", simNumber=" + simNumber + ", packetType=" + packetType
                + ", fanFailDI1=" + fanFailDI1 + ", doorOpenDI2=" + doorOpenDI2 + ", smokeFireDI3=" + smokeFireDI3
                + ", dI4Spare=" + dI4Spare + ", dI5Spare=" + dI5Spare + ", dI6Spare=" + dI6Spare + ", dI7Spare="
                + dI7Spare + ", dI8Spare=" + dI8Spare + ", dI9Spare=" + dI9Spare + ", dI10Spare=" + dI10Spare
                + ", dI11Spare=" + dI11Spare + ", dI12Spare=" + dI12Spare + ", tamperSwitchforModem="
                + tamperSwitchforModem + ", fireAndSmokeDO1=" + fireAndSmokeDO1 + ", loadOnDGDO2=" + loadOnDGDO2
                + ", dO3FanFail=" + dO3FanFail + ", dO4DOOROPEN=" + dO4DOOROPEN + ", aI1Spare=" + aI1Spare
                + ", aI2Spare=" + aI2Spare + ", aI3Spare=" + aI3Spare + ", aI4Spare=" + aI4Spare + ", eBRPhaseN="
                + eBRPhaseN + ", eBYPhaseN=" + eBYPhaseN + ", eBBPhaseN=" + eBBPhaseN + ", eBRYPhaseVoltage="
                + eBRYPhaseVoltage + ", eBYBPhaseVoltage=" + eBYBPhaseVoltage + ", eBBRPhaseVoltage=" + eBBRPhaseVoltage
                + ", eBIR=" + eBIR + ", eBIY=" + eBIY + ", eBIB=" + eBIB + ", eBInputFrequency=" + eBInputFrequency
                + ", eBInputGridEnergy=" + eBInputGridEnergy + ", dG1Energy=" + dG1Energy + ", eBRPhasePower="
                + eBRPhasePower + ", eBYPhasePower=" + eBYPhasePower + ", eBBPhasePower=" + eBBPhasePower
                + ", gridRunHour=" + gridRunHour + ", dG1RunHour=" + dG1RunHour + ", loadOnMains=" + loadOnMains
                + ", loadOnDG12=" + loadOnDG12 + ", tenant1Energy=" + tenant1Energy + ", tenant1Power=" + tenant1Power
                + ", tenant1Current=" + tenant1Current + ", tenant2Energy=" + tenant2Energy + ", tenant2Power="
                + tenant2Power + ", tenant2Current=" + tenant2Current + ", tenant3Energy=" + tenant3Energy
                + ", tenant3Power=" + tenant3Power + ", tenant3Current=" + tenant3Current + ", tenant4Energy="
                + tenant4Energy + ", tenant4Power=" + tenant4Power + ", tenant4Current=" + tenant4Current
                + ", tenant5Energy=" + tenant5Energy + ", tenant5Power=" + tenant5Power + ", tenant5Current="
                + tenant5Current + ", batteryCurrent=" + batteryCurrent + ", dG12OnInManualMode=" + dG12OnInManualMode
                + ", dG1BatteryVoltage=" + dG1BatteryVoltage + ", dG12Frequency=" + dG12Frequency + ", dG12RPhaseN="
                + dG12RPhaseN + ", dG12YPhaseN=" + dG12YPhaseN + ", dG12BPhaseN=" + dG12BPhaseN
                + ", dG12RYPhaseVoltage=" + dG12RYPhaseVoltage + ", dG12YBPhaseVoltage=" + dG12YBPhaseVoltage
                + ", dG12BRPhaseVoltage=" + dG12BRPhaseVoltage + ", dG12Ir=" + dG12Ir + ", dG12Iy=" + dG12Iy
                + ", dG12Ib=" + dG12Ib + ", dG12RPhasePower=" + dG12RPhasePower + ", dG12YPhasePower=" + dG12YPhasePower
                + ", dG12BPhasePower=" + dG12BPhasePower + ", dG12OnWithoutLoad=" + dG12OnWithoutLoad
                + ", lowLubeOilPressure=" + lowLubeOilPressure + ", dGHwtHct=" + dGHwtHct + ", dGEmergencyStop="
                + dGEmergencyStop + ", dGOverLoad=" + dGOverLoad + ", dGLowFuelLevel=" + dGLowFuelLevel
                + ", dGBatteryVoltageLow=" + dGBatteryVoltageLow + ", dGFailToStart=" + dGFailToStart
                + ", dGFailToStop=" + dGFailToStop + ", systemDcVoltage=" + systemDcVoltage
                + ", battery1CabinetTemperature=" + battery1CabinetTemperature + ", socBattery1=" + socBattery1
                + ", battery2CabinetTemperature=" + battery2CabinetTemperature + ", socBattery2=" + socBattery2
                + ", batteryOnDischarge=" + batteryOnDischarge + ", loadOnBattery=" + loadOnBattery
                + ", battery3CabinetTemperature=" + battery3CabinetTemperature + ", socBattery3=" + socBattery3
                + ", battery4CabinetTemperature=" + battery4CabinetTemperature + ", socBattery4=" + socBattery4
                + ", systemCabinetTemperature=" + systemCabinetTemperature + ", outdoorEnvironmentTemperature="
                + outdoorEnvironmentTemperature + ", mainsFail=" + mainsFail + ", dCVoltageLow=" + dCVoltageLow
                + ", loadBreakerTripped=" + loadBreakerTripped + ", batteryFuseFail=" + batteryFuseFail
                + ", batterTempHigh=" + batterTempHigh + ", blvdTrip="
                + blvdTrip + ", lvdDisconnect=" + lvdDisconnect + ", battery1Capacity=" + battery1Capacity
                + ", battery2Capacity=" + battery2Capacity + ", battery3Capacity=" + battery3Capacity
                + ", battery4Capacity=" + battery4Capacity + ", aCSurgeProtectionDeviceFail="
                + aCSurgeProtectionDeviceFail + ", dCSurgeProtectionDeviceFail=" + dCSurgeProtectionDeviceFail
                + ", dryContact3spare=" + dryContact3spare + ", pvOutputVoltage=" + pvOutputVoltage
                + ", pv1InputVoltage=" + pv1InputVoltage + ", pv1OutputCurrent=" + pv1OutputCurrent
                + ", pv2InputVoltage=" + pv2InputVoltage + ", pv2OutputCurrent=" + pv2OutputCurrent
                + ", pv3InputVoltage=" + pv3InputVoltage + ", pv3OutputCurrent=" + pv3OutputCurrent
                + ", pv4InputVoltage=" + pv4InputVoltage + ", pv4OutputCurrent=" + pv4OutputCurrent
                + ", pv5InputVoltage=" + pv5InputVoltage + ", pv5OutputCurrent=" + pv5OutputCurrent
                + ", pv6InputVoltage=" + pv6InputVoltage + ", pv6OutputCurrent=" + pv6OutputCurrent
                + ", pv7InputVoltage=" + pv7InputVoltage + ", pv7OutputCurrent=" + pv7OutputCurrent
                + ", pv8InputVoltage=" + pv8InputVoltage + ", pv8OutputCurrent=" + pv8OutputCurrent
                + ", pv9InputVoltage=" + pv9InputVoltage + ", pv9OutputCurrent=" + pv9OutputCurrent
                + ", pv10InputVoltage=" + pv10InputVoltage + ", pv10OutputCurrent=" + pv10OutputCurrent
                + ", pv11InputVoltage=" + pv11InputVoltage + ", pv11OutputCurrent=" + pv11OutputCurrent
                + ", pv12InputVoltage=" + pv12InputVoltage + ", pv12OutputCurrent=" + pv12OutputCurrent
                + ", pv1ModuleStatus=" + pv1ModuleStatus + ", pv2ModuleStatus=" + pv2ModuleStatus + ", pv3ModuleStatus="
                + pv3ModuleStatus + ", pv4ModuleStatus=" + pv4ModuleStatus + ", pv5ModuleStatus=" + pv5ModuleStatus
                + ", pv6ModuleStatus=" + pv6ModuleStatus + ", pv7ModuleStatus=" + pv7ModuleStatus + ", pv8ModuleStatus="
                + pv8ModuleStatus + ", pv9ModuleStatus=" + pv9ModuleStatus + ", pv10ModuleStatus=" + pv10ModuleStatus
                + ", pv11ModuleStatus=" + pv11ModuleStatus + ", pv12ModuleStatus=" + pv12ModuleStatus
                + ", pvTotalOutputCurrent=" + pvTotalOutputCurrent + ", pvEnergy=" + pvEnergy + ", pvRunHours="
                + pvRunHours + ", liBattVoltage1=" + liBattVoltage1 + ", liBattCurrentCharge1=" + liBattCurrentCharge1
                + ", liBattCurrentDischarge1=" + liBattCurrentDischarge1 + ", liSoh1=" + liSoh1 + ", liSoc1=" + liSoc1
                + ", liBattStatus1=" + liBattStatus1 + ", liDischargeCycleCount1=" + liDischargeCycleCount1
                + ", liBattVoltage2=" + liBattVoltage2 + ", liBattCurrentCharge2=" + liBattCurrentCharge2
                + ", liBattCurrentDischarge2=" + liBattCurrentDischarge2 + ", liSoh2=" + liSoh2 + ", liSoc2=" + liSoc2
                + ", liBattStatus2=" + liBattStatus2 + ", liDischargeCycleCount2=" + liDischargeCycleCount2
                + ", liBattVoltage3=" + liBattVoltage3 + ", liBattCurrentCharge3=" + liBattCurrentCharge3
                + ", liBattCurrentDischarge3=" + liBattCurrentDischarge3 + ", liSoh3=" + liSoh3 + ", liSoc3=" + liSoc3
                + ", liBattStatus3=" + liBattStatus3 + ", liDischargeCycleCount3=" + liDischargeCycleCount3
                + ", liBattVoltage4=" + liBattVoltage4 + ", liBattCurrentCharge4=" + liBattCurrentCharge4
                + ", liBattCurrentDischarge4=" + liBattCurrentDischarge4 + ", liSoh4=" + liSoh4 + ", liSoc4=" + liSoc4
                + ", liBattStatus4=" + liBattStatus4 + ", liDischargeCycleCount4=" + liDischargeCycleCount4
                + ", liBattVoltage5=" + liBattVoltage5 + ", liBattCurrentCharge5=" + liBattCurrentCharge5
                + ", liBattCurrentDischarge5=" + liBattCurrentDischarge5 + ", liSoh5=" + liSoh5 + ", liSoc5=" + liSoc5
                + ", liBattStatus5=" + liBattStatus5 + ", liDischargeCycleCount5=" + liDischargeCycleCount5
                + ", liBattVoltage6=" + liBattVoltage6 + ", liBattCurrentCharge6=" + liBattCurrentCharge6
                + ", liBattCurrentDischarge6=" + liBattCurrentDischarge6 + ", liSoh6=" + liSoh6 + ", liSoc6=" + liSoc6
                + ", liBattStatus6=" + liBattStatus6 + ", liDischargeCycleCount6=" + liDischargeCycleCount6
                + ", liBattVoltage7=" + liBattVoltage7 + ", liBattCurrentCharge7=" + liBattCurrentCharge7
                + ", liBattCurrentDischarge7=" + liBattCurrentDischarge7 + ", liSoh7=" + liSoh7 + ", liSoc7=" + liSoc7
                + ", liBattStatus7=" + liBattStatus7 + ", liDischargeCycleCount7=" + liDischargeCycleCount7
                + ", liBattVoltage8=" + liBattVoltage8 + ", liBattCurrentCharge8=" + liBattCurrentCharge8
                + ", liBattCurrentDischarge8=" + liBattCurrentDischarge8 + ", liSoh8=" + liSoh8 + ", liSoc8=" + liSoc8
                + ", liBattStatus8=" + liBattStatus8 + ", liDischargeCycleCount8=" + liDischargeCycleCount8
                + ", liBattVoltage9=" + liBattVoltage9 + ", liBattCurrentCharge9=" + liBattCurrentCharge9
                + ", liBattCurrentDischarge9=" + liBattCurrentDischarge9 + ", liSoh9=" + liSoh9 + ", liSoc9=" + liSoc9
                + ", liBattStatus9=" + liBattStatus9 + ", liDischargeCycleCount9=" + liDischargeCycleCount9
                + ", liBattVoltage10=" + liBattVoltage10 + ", liBattCurrentCharge10=" + liBattCurrentCharge10
                + ", liBattCurrentDischarge10=" + liBattCurrentDischarge10 + ", liSoh10=" + liSoh10 + ", liSoc10="
                + liSoc10 + ", liBattStatus10=" + liBattStatus10 + ", liDischargeCycleCount10="
                + liDischargeCycleCount10 + ", liBattVoltage11=" + liBattVoltage11 + ", liBattCurrentCharge11="
                + liBattCurrentCharge11 + ", liBattCurrentDischarge11=" + liBattCurrentDischarge11 + ", liSoh11="
                + liSoh11 + ", liSoc11=" + liSoc11 + ", liBattStatus11=" + liBattStatus11 + ", liDischargeCycleCount11="
                + liDischargeCycleCount11 + ", liBattVoltage12=" + liBattVoltage12 + ", liBattCurrentCharge12="
                + liBattCurrentCharge12 + ", liBattCurrentDischarge12=" + liBattCurrentDischarge12 + ", liSoh12="
                + liSoh12 + ", liSoc12=" + liSoc12 + ", liBattStatus12=" + liBattStatus12 + ", liDischargeCycleCount12="
                + liDischargeCycleCount12 + ", liBattVoltage13=" + liBattVoltage13 + ", liBattCurrentCharge13="
                + liBattCurrentCharge13 + ", liBattCurrentDischarge13=" + liBattCurrentDischarge13 + ", liSoh13="
                + liSoh13 + ", liSoc13=" + liSoc13 + ", liBattStatus13=" + liBattStatus13 + ", liDischargeCycleCount13="
                + liDischargeCycleCount13 + ", liBattVoltage14=" + liBattVoltage14 + ", liBattCurrentCharge14="
                + liBattCurrentCharge14 + ", liBattCurrentDischarge14=" + liBattCurrentDischarge14 + ", liSoh14="
                + liSoh14 + ", liSoc14=" + liSoc14 + ", liBattStatus14=" + liBattStatus14 + ", liDischargeCycleCount14="
                + liDischargeCycleCount14 + ", liBattVoltage15=" + liBattVoltage15 + ", liBattCurrentCharge15="
                + liBattCurrentCharge15 + ", liBattCurrentDischarge15=" + liBattCurrentDischarge15 + ", liSoh15="
                + liSoh15 + ", liSoc15=" + liSoc15 + ", liBattStatus15=" + liBattStatus15 + ", liDischargeCycleCount15="
                + liDischargeCycleCount15 + ", liBattVoltage16=" + liBattVoltage16 + ", liBattCurrentCharge16="
                + liBattCurrentCharge16 + ", liBattCurrentDischarge16=" + liBattCurrentDischarge16 + ", liSoh16="
                + liSoh16 + ", liSoc16=" + liSoc16 + ", liBattStatus16=" + liBattStatus16 + ", liDischargeCycleCount16="
                + liDischargeCycleCount16 + ", DcAircon1HighRoomTemp=" + dcAircon1HighRoomTemp
                + ", DcAircon1CompressorFaultFanfault=" + dcAircon1CompressorFaultFanfault + ", DcAircon2HighRoomTemp="
                + dcAircon2HighRoomTemp + ", DcAircon2CompressorFaultFanfault=" + dcAircon2CompressorFaultFanfault
                + ", FuelSensorFuelinliters=" + fuelSensorFuelinliters + ", FuelSensorFuelinMm=" + fuelSensorFuelinMm
                + ", FuelSensorFuelinPercentage=" + fuelSensorFuelinPercentage + ", reserved11="
                + reserved11 + ", reserved10=" + reserved10
                + ", reserved9=" + reserved9 + ", reserved8=" + reserved8
                + ", reserved7=" + reserved7 + ", reserved6=" + reserved6 + ", reserved5=" + reserved5
                + ", reserved4=" + reserved4 + ", reserved3PvHybridMode=" + reserved3PvHybridMode + ", reserved2LoadOnPv=" + reserved2LoadOnPv
                + ", RectifierControllerCommFault=" + rectifierControllerCommFault + ", liCommFault1=" + liCommFault1
                + ", liCommFault2=" + liCommFault2 + ", liCommFault3=" + liCommFault3 + ", liCommFault4=" + liCommFault4
                + ", liCommFault5=" + liCommFault5 + ", liCommFault6=" + liCommFault6 + ", liCommFault7=" + liCommFault7
                + ", liCommFault8=" + liCommFault8 + ", liCommFault9=" + liCommFault9 + ", liCommFault10="
                + liCommFault10 + ", liCommFault11=" + liCommFault11 + ", liCommFault12=" + liCommFault12
                + ", liCommFault13=" + liCommFault13 + ", liCommFault14=" + liCommFault14 + ", liCommFault15="
                + liCommFault15 + ", liCommFault16=" + liCommFault16 + ", aCEMCommFault=" + aCEMCommFault
                + ", dCEMCOMMFault=" + dCEMCOMMFault + ", gCUCommFault=" + gCUCommFault + ", solarEMCOMMfault="
                + solarEMCOMMfault + ", dCAirCon1CommFault=" + dCAirCon1CommFault + ", dCAirCon2CommFault="
                + dCAirCon2CommFault + ", fuelSensorCommFault=" + fuelSensorCommFault + ", dGCapacityinkVA="
                + dGCapacityinkVA + ", totalLoadCurrent=" + totalLoadCurrent + ", singleRectifierfail="
                + singleRectifierfail + ", multipleRectifierFail=" + multipleRectifierFail + ", dGCommonFault="
                + dGCommonFault + "]";
    }

}
