package com.ieng.rms.models;

import lombok.Data;

import java.io.Serializable;

@Data
public class PacketModelSonicV2 implements Serializable  {

    private String imeiNumber;
    private String sonicFirmwareVersion;
    private String systemControllerName;
    private String systemControllerSoftwareVersion;
    private Integer packetAge;
    private Integer gpsFix;
    private String gpsLatitude;
    private String gpsLongitude;
    private String sonicOnboardTemperature;
    private Integer sonicWifiStatus;
    private Integer sonicDI13;
    private Integer sonicDI14;
    private Integer sonicDI15;
    private Integer sonicDI16;
    private Integer sonicDO5;
    private Integer sonicDO6;
    private Integer sonicDO7;
    private Integer sonicDO8;
    private Float sonicAnalogCurrent;
    private Float systemControllerHumidity;
    private Integer systemControllerHumidityState;
    private Integer systemControllerDI1;
    private Integer systemControllerDI2;
    private String systemBatterytemp4High; //private String spare1;
    private Integer systemControllerDI4;
    private Integer systemControllerDI5;
    private Integer systemControllerDI6;
    private Integer systemControllerDI7;
    private String moduleSerialNumber21;     //  systemControllerDO1;
    private String moduleSerialNumber22;     //  systemControllerDO2;
    private String moduleSerialNumber23;     //  systemControllerDO3;
    private String moduleSerialNumber24;     //  systemControllerDO4;
    private String moduleSerialNumber25;     //  systemControllerDO5;
    private String moduleSerialNumber26;     //  systemControllerDO6;
    private String moduleSerialNumber27;     //  systemControllerDO7;
    private String moduleSerialNumber28;    //systemControllerAcrPhVoltage;
    private String moduleSerialNumber29;    //systemControllerAcyPhVoltage;
    private String moduleSerialNumber30;    //systemControllerAcbPhVoltage;
    private String moduleSerialNumber31;    //systemControllerAcFrequency;
    private String moduleSerialNumber32;    //systemControllerAcrPhCurrent;
    private String moduleSerialNumber33;    //systemControllerAcyPhCurrent;
    private String moduleSerialNumber34;    //systemControllerAcbPhCurrent;
    private String moduleSerialNumber35;    //systemControllerSystemLoadCurrent;
    private Integer batteryChargeCurrentLimitSetA;
    private String moduleSerialNumber36;    //battery1MidpointVoltage;
    private String moduleSerialNumber37;    //battery2MidpointVoltage;
    private String moduleSerialNumber38;    // battery3MidpointVoltage;
    private String moduleSerialNumber39;    //battery4MidpointVoltage;
    private String moduleSerialNumber40;    //rectifierOutputCurrent1;
    private String acemSerialNumber;        //rectifierOutputCurrent2;
    private String solarEMSerialNumber;     //rectifierOutputCurrent3;
    private Float  pvExportEnergy;          //rectifierOutputCurrent4;
    private String inverterSerialNo2;       //rectifierOutputCurrent5;
    private Float  module13OutputCurrent;   //rectifierOutputCurrent6;
    private String dcemSerialNumber;        //rectifierOutputCurrent7;
    private Float module14OutputCurrent;  //rectifierOutputCurrent8;
    private Float rectifierOutputCurrent9;
    private Float  module15OutputCurrent;    //rectifierOutputCurrent10;
    private String battery16SLNo;           //rectifierOutputCurrent11;
    private Float  module16OutputCurrent;   //rectifierOutputCurrent12;
    private Float  moduleInputVoltage17;   //rectifierOutputCurrent13;
    private Float  moduleInputVoltage18;   //rectifierOutputCurrent14;
    private Float  moduleInputVoltage19;   //rectifierOutputCurrent15;
    private Float  moduleInputVoltage20;   //rectifierOutputCurrent16;
    private Float moduleOutputCurrent17;  //rectifierOutputCurrent17;
    private Float moduleOutputCurrent18;   //rectifierOutputCurrent18;
    private Float moduleOutputCurrent19;   //rectifierOutputCurrent19;
    private Float moduleOutputCurrent20;   //rectifierOutputCurrent20;
    private Float batteryChargeEnergy;
    private Float batteryPower;
    private Float totalPvPower;
    private Float todaysLoad1EnergyConsumptionKWH;
    private Float todaysLoad2EnergyConsumptionKWH;
    private Float todaysLoad3EnergyConsumptionKWH;
    private Float todaysLoad4EnergyConsumptionKWH;
    private Float todaysLoad5EnergyConsumptionKWH;
    private Float todaysLoad6EnergyConsumptionKWH;
    private Float todaysBatteryDischargeEnergyConsumptionKWH;
    private String moduleSerialNumber1;
    private String moduleSerialNumber2;
    private String moduleSerialNumber3;
    private String moduleSerialNumber4;
    private String moduleSerialNumber5;
    private String moduleSerialNumber6;
    private String moduleSerialNumber7;
    private String moduleSerialNumber8;
    private String moduleSerialNumber9;
    private String moduleSerialNumber10;
    private String moduleSerialNumber11;
    private String moduleSerialNumber12;
    private String moduleSerialNumber13;
    private String moduleSerialNumber14;
    private String moduleSerialNumber15;
    private String moduleSerialNumber16;
    private String moduleSerialNumber17;
    private String moduleSerialNumber18;
    private String moduleSerialNumber19;
    private String moduleSerialNumber20;
    private Integer batt1TempSensorLoseOrFaultAlarm;
    private Integer batt2TempSensorLoseOrFaultAlarm;
    private Integer batt3TempSensorLoseOrFaultAlarm;
    private String temperatureSensorLoseorFaultAlarm; // batt4TempSensorLoseOrFaultAlarm;
    private Integer loadOverCurrentAlarm;
    private String battery13SLNo;       //batteryTestAlarm;
    private String battery14SLNo;       //currentUnbalanceAlarm;
    private Integer dcVoltageHigh;
    private String battery1SLNo;        // moduleStatus1;
    private String battery2SLNo;        //moduleStatus2;
    private String battery3SLNo;        //moduleStatus3;
    private String battery4SLNo;        //moduleStatus4;
    private String battery5SLNo;        //moduleStatus5;
    private String battery6SLNo;        //moduleStatus6;
    private String battery7SLNo;        //moduleStatus7;
    private String battery8SLNo;        //moduleStatus8;
    private String battery9SLNo;        //moduleStatus9;
    private String battery10SLNo;       //moduleStatus10;
    private String battery11SLNo;       //moduleStatus11;
    private String battery12SLNo;       // moduleStatus12;
    private Integer moduleStatus13;
    private Integer moduleStatus14;
    private Integer moduleStatus15;
    private Integer moduleStatus16;
    private Integer moduleStatus17;
    private Integer moduleStatus18;
    private Integer moduleStatus19;
    private Integer moduleStatus20;
    private String inverterSerialNo1;   //dcemDcVoltage;
    private Float tenant1Runhour;
    private Float tenant2Runhour;
    private Float tenant3Runhour;
    private Float tenant4Runhour;
    private Float tenant5Runhour;
    private Float batteryChargeRunhour;
    private Float gcuL1PowerFactor;
    private Float gcuL2PowerFactor;
    private Float gcuL3PowerFactor;
    private Integer gcuDgAlarmUnderSpeed;
    private Integer gcuDgAlarmOverSpeed;
    private Integer gcuDgAlarmLossOfSpeedSensing;
    private Integer gcuDgAlarmGeneratorLowVoltage;
    private Integer gcuDgAlarmGeneratorHighVoltage;
    private Integer gcuDgAlarmGeneratorLowFrequency;
    private Integer gcuDgAlarmGeneratorHighFrequency;
    private Integer gcuDgAlarmGeneratorHighCurrent;
    private Integer gcuDgAlarmGeneratorEarthFault;
    private Integer gcuDgAlarmGeneratorReversePower;
    private Integer gcuDgAlarmAirFlap;
    private Integer gcuDgAlarmOilPressureSenderFault;
    private Integer gcuDgAlarmCoolantTemperatureSenderFault;
    private Integer gcuDgAlarmOilTemperatureSenderFault;
    private Integer gcuDgAlarmFuelLevelSenderFault;
    private Integer gcuDgAlarmMagneticPickupFault;
    private Integer gcuDgAlarmLossOfAcSpeedSignal;
    private Integer gcuDgAlarmChargeAlternatorFailure;
    private Integer gcuDgAlarmHighBatteryVoltage;
    private Integer gcuDgAlarmHighFuelLevel;
    private Integer gcuDgEngineOperatingState;
    private Float ebAveragePowerFactor;
    private Float fuelHighLevelInMm;
    private Float fuelHighLevelInLiter;
    private Float fuelTemperature;
    private Float aircon1Temperarture;
    private Integer aircon1RelayStatus;
    private Float aircon2Temperarture;
    private Integer aircon2RelayStatus;
    private Integer moduleStatus21;
    private Integer moduleStatus22;
    private Integer moduleStatus23;
    private Integer moduleStatus24;
    private Integer moduleStatus25;
    private Integer moduleStatus26;
    private Integer moduleStatus27;
    private Integer moduleStatus28;
    private Integer moduleStatus29;
    private Integer moduleStatus30;
    private Integer fuelAdditionAlarm;
    private Integer fuelPilferageAlarm;
    private Integer spare2;
    private Integer spare3;
    private String inverterSerialNo3;           //spare4;
    private String battery15SLNo;               //spare5;
    private String rectifierControllerSlNo;     //spare6;
    private Integer noOfRectifierModule;         //spare7;
    private Integer noOfPVModules;               //spare8;
    private String clientId;
    private String inverterCapacityInKVA;
    private Integer inverterStatus;
    private Float inverterL1InputCurrent;
    private Float inverterL1OutputVoltage;
    private Float inverterL1OutputCurrent;
    private Float inverterL1PowerFactor;
    private Float inverterL2InputCurrent;
    private Float inverterL2OutputVoltage;
    private Float inverterL2OutputCurrent;
    private Float inverterL2PowerFactor;
    private Float inverterL3InputCurrent;
    private Float inverterL3OutputVoltage;
    private Float inverterL3OutputCurrent;
    private Float inverteL3PowerFactor;
    private String moduleSerialNumber41;    //inverter1Status;
    private String moduleSerialNumber42;    //inverter2Status;
    private String moduleSerialNumber43;    //inverter3Status;
    private String moduleSerialNumber44;    //inverter4Status;
    private String moduleSerialNumber45;    //inverter5Status;
    private String moduleSerialNumber46;    //inverter6Status;
    private String moduleSerialNumber47;    //inverter7Status;
    private String moduleSerialNumber48;    //inverter8Status;
    private String moduleSerialNumber49;    //inverter9Status;
    private String moduleSerialNumber50;    //inverter10Status;
    private String moduleSerialNumber51;    //inverter11Status;
    private String moduleSerialNumber52;    //inverter12Status;
    private String endContinous;




}
