package com.ieng.rms.repository;

import com.ieng.rms.entity.AlarmDetailConfig;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AlarmDetailConfigRepository extends JpaRepository<AlarmDetailConfig,Integer> {

    @Query(value = "from AlarmDetailConfig adc where adc.isCurrent=1 and adc.isActive=1 and adc.contractId=:contractId")
    List<AlarmDetailConfig> getAlarmDetailConfigList(@Param("contractId") Integer contractId);

    @Query(value = "from AlarmDetailConfig adc where adc.isCurrent=1 and adc.isActive=1")
    List<AlarmDetailConfig> getAllAlarmDetailConfig();
}

