package com.ieng.rms.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class AppPropertiesUtil {

    private static String serialVersionUIDProperty;

    @Value("${app.serialVersionUID}") // Default value if not set
    public void setSerialVersionUIDProperty(String serialVersionUIDProperty) {
        AppPropertiesUtil.serialVersionUIDProperty = serialVersionUIDProperty;
    }

    public static long getSerialVersionUID() {
        return Long.parseLong(serialVersionUIDProperty);
    }
}
