package com.ieng.rms.config;

import com.ieng.rms.repository.AlarmDetailConfigRepository;
import com.ieng.rms.services.AlarmDetailService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.annotation.Configuration;

@Configuration
public class PrerequisiteLoader {


    private AlarmDetailConfigRepository alarmDetailConfigRepository;

    private AlarmDetailService alarmDetailService;

    private static final Logger logger = LogManager.getLogger(PrerequisiteLoader.class);

    public PrerequisiteLoader(AlarmDetailConfigRepository alarmDetailConfigRepository,
                              AlarmDetailService alarmDetailService) {
        this.alarmDetailConfigRepository = alarmDetailConfigRepository;
        this.alarmDetailService = alarmDetailService;
        loadPrerequisiteOfProcesser();
    }

    //
//    @EventListener(ApplicationReadyEvent.class)
    public void loadPrerequisiteOfProcesser() {

        //fillSchedularDetailsInMemory();

        logger.info("======================PrerequisiteLoader started Initializing Bean===========================");
        try {
//            fillAlarmDetailConfig();
//            fillAlarmDetailsInMemory();

            logger.info("======================PrerequisiteLoader Bean INITIALIZED Successfully===================");

        } catch (Exception e) {
            logger.error(
                    "***********There is some issue load on sources problem exist which is prerequist for our system*************");
            e.printStackTrace();
        }
    }

/*    private void fillAlarmDetailConfig() {
        logger.info("========= Alarms Configuration Started ========");
        Constants.alarmDetailConfigMap = new ConcurrentHashMap<>();
        Constants.alarmDetailConfigList = alarmDetailConfigRepository.getAllAlarmDetailConfig();
        Constants.alarmDetailConfigList.forEach(p -> {
            Constants.alarmDetailConfigMap.put(p.getAlarmName() + "_" + p.getContractId(), p.getCriticality());
            Constants.alarmConfigMap.put(p.getContractId() + "_" + p.getAlarmName(), p);
        });
        System.out.println(Constants.alarmConfigMap);
        logger.info("========= Alarms Configuration Completed ========");
    }*/

//    private void fillAlarmDetailsInMemory() {
//
//        logger.info("========= Calling API for Filling Monitor Map Started ========");
//
//        logger.info("========= Alarms Filling in Memory Started ========");
//        for (String siteId : sonicAlarmClientService.getMonitorMapforAlarm()) {
//            Constants.alarmDetailMap.put(siteId, new ConcurrentHashMap<>());
//            List<AlarmDetails> openAlarmsList = alarmDetailService.findOpenAlarms(siteId);
//            for (AlarmDetails aModel : openAlarmsList) {
//                Constants.alarmDetailMap.get(siteId).put(Util.addUnderscoreAgainstSpace(aModel.getAlarmName()), aModel);
//            }
////            logger.info("========= OPEN DB ALARM ========"+openAlarmsList.size() +"siteId"+siteId);
//
//        }
//        logger.info("========= Alarms Filling in Memory Completed ========");
//
//
//    }

}
