package com.ieng.rms.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SiteWiseAlarmMaskingDTO implements Serializable {
    private Long id;
    private String alarmName;
    private String alarmMaskingName;
    private String criticality;
    private List<String> translation;
    private Boolean escalationEnable;
    private Boolean alarmEnabled;
    private Boolean isNocAlarm;
    private List<AlarmEscalationDTO> escalations;

}
