package com.ieng.rms.models;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SiteDetailsDTO implements Serializable {

    private Integer id;
    private String siteId;
    private String siteName;
    private Integer energyPricingModelId;
    private Integer energyModelId;
    private String energyModelName;
    private String energyModelSimplifiedName;
    private String energyModelSpecification;
    private Integer clusterId;
    private String clusterName;
    private Integer regionId;
    private String regionName;
    private Integer contractParentId;
    private Integer siteClassId;
    private String siteClassName;
    private Integer siteCategoryId;
    private String siteCategoryName;
    private Integer sitePriorityId;
    private String sitePriorityName;
    private Integer dgKva;
    private Boolean multiTenant; //from RMSCore
    private Boolean skipCalibration;
    private Boolean disabled;
    private String clientId;
    private String latitude;
    private String longitude;
    private Boolean standAlone;

}
