package com.ieng.rms.repository;

import com.ieng.rms.entity.SiteWiseAlarmMaskingConfig;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface SiteWiseAlarmConfigRepository extends JpaRepository<SiteWiseAlarmMaskingConfig, Long> {

    List<SiteWiseAlarmMaskingConfig> findAllBySiteId(String siteId);

    List<SiteWiseAlarmMaskingConfig> findAllByEscalationEnableIsTrue();

    Optional<SiteWiseAlarmMaskingConfig> findOneBySiteIdAndAlarmName(String siteId, String alarmName);
}