package com.ieng.rms.services;

import com.ieng.rms.entity.AlarmDetails;
import com.ieng.rms.repository.AlarmDetailRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AlarmDetailService {
    @Autowired
    private AlarmDetailRepository alarmDetailRepository;


    public void save(AlarmDetails model) {
        alarmDetailRepository.save(model);
    }

    public List<AlarmDetails> findOpenAlarms(String siteId) {
        return alarmDetailRepository.findOpenAlarms(siteId);
    }

}
