package com.ieng.rms.util;

import com.ieng.rms.dto.ContractDTO;
import com.ieng.rms.entity.SiteWiseAlarmMaskingConfig;
import com.ieng.rms.models.SiteDetailsDTO;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class Constants {

    public static Map<String, SiteDetailsDTO> siteDetailsMap = new ConcurrentHashMap<>();
    //    public static Map<String, String> alarmDetailConfigMap = new ConcurrentHashMap<>();
//    public static List<AlarmDetailConfig> alarmDetailConfigList = new ArrayList<>();
    //    public static Map<String, AlarmDetailConfig> alarmConfigMap = new ConcurrentHashMap<>();
//    public static Map<String, Map<String, AlarmDetails>> alarmDetailMap = new ConcurrentHashMap<>();
    public static final String websocketEndPoint = "/alarm-stream-";
    public static final String websocketEndPointForAlarms = "/alarms-websocket";
    public static final Map<String, Map<String, SiteWiseAlarmMaskingConfig>> alarmsMaskingMap = new ConcurrentHashMap<>();
    public static Map<Integer, ContractDTO> contractMap = new HashMap<>();
    public static final String ALARM_DETAIL_CONFIG_MAP = "alarmDetailConfigMap";
    public static final String ALARM_CONFIG_MAP_FOR_NOC = "alarmConfigForNocMap";

    // For alarm status site wise
    public static Map<String, String> siteWiseAlarmsStatusMap = new ConcurrentHashMap<>();

    //-----------------------------REDIS KEY---------------------------//
    public static final String REDIS_PACKET_HISTORY_PREFIX = "PacketHistory::";
    public static final String REDIS_ALARM_MASKING_KEY = "ALARM_MASKING";
    public static final String REDIS_ALARM_CONFIG_KEY = "AlarmConfig::"; // Redis key for alarm configurations
    public static final String REDIS_ALARM_CONFIG_NOC_ALARM_KEY = "AlarmConfigNocAlarm::"; // Redis key for alarm configurations
    public static final String REDIS_ALARM_DETAILS_KEY = "AlarmDetails::";
    public static final String REDIS_ALL_ALARM_DETAIL_CONFIG_KEY = "AllAlarmDetailConfig::";

    //All site detail component cache's keys
    public static final String ACTIVE_ALARMS = "ActiveAlarms-";
    public static final String ALL_ALARMS = "AllAlarms-";

    public static String PROTOCOL_NAME = "Sonic";
}
